aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-java/freehep-graphicsio-emf/Manifest1
-rw-r--r--dev-java/freehep-graphicsio-emf/files/github-30.patch34
-rw-r--r--dev-java/freehep-graphicsio-emf/freehep-graphicsio-emf-2.4-r1.ebuild61
-rw-r--r--dev-java/freehep-graphicsio-emf/metadata.xml (renamed from dev-python/toposort/metadata.xml)5
-rw-r--r--dev-java/jcommon/Manifest1
-rw-r--r--dev-java/jcommon/jcommon-1.0.23.ebuild57
-rw-r--r--dev-java/jcommon/metadata.xml11
-rw-r--r--dev-java/jfreechart/Manifest1
-rw-r--r--dev-java/jfreechart/files/jfreechart-1.0.19-build.xml.patch25
-rw-r--r--dev-java/jfreechart/files/jfreechart-1.0.19-fix-TimeSeriesCollectionTest.patch24
-rw-r--r--dev-java/jfreechart/jfreechart-1.0.19-r2.ebuild71
-rw-r--r--dev-java/jfreechart/metadata.xml11
-rw-r--r--dev-java/jfreesvg/Manifest2
-rw-r--r--dev-java/jfreesvg/jfreesvg-2.1-r1.ebuild43
-rw-r--r--dev-java/jfreesvg/jfreesvg-3.0.ebuild40
-rw-r--r--dev-java/jfreesvg/metadata.xml16
-rw-r--r--dev-java/lucene/lucene-3.6.2-r2.ebuild4
-rw-r--r--dev-java/lucene/lucene-5.2.1.ebuild6
-rw-r--r--dev-java/lucene/lucene-8.4.0.ebuild6
-rw-r--r--dev-libs/half/Manifest2
-rw-r--r--dev-libs/half/half-1.12.0.ebuild17
-rw-r--r--dev-libs/half/half-2.1.0.ebuild20
-rw-r--r--dev-libs/half/metadata.xml11
-rw-r--r--dev-python/annexremote/Manifest2
-rw-r--r--dev-python/annexremote/annexremote-1.5.0.ebuild37
-rw-r--r--dev-python/annexremote/annexremote-1.6.0.ebuild37
-rw-r--r--dev-python/annexremote/metadata.xml21
-rw-r--r--dev-python/fslpy/fslpy-3.4.0.ebuild7
-rw-r--r--dev-python/hdmf/Manifest1
-rw-r--r--dev-python/hdmf/files/hdmf-3.1.1-new_jsonschema.patch10
-rw-r--r--dev-python/hdmf/hdmf-3.1.1.ebuild32
-rw-r--r--dev-python/hdmf/metadata.xml18
-rw-r--r--dev-python/keyrings_alt/Manifest1
-rw-r--r--dev-python/keyrings_alt/keyrings_alt-4.1.0.ebuild25
-rw-r--r--dev-python/keyrings_alt/metadata.xml24
-rw-r--r--dev-python/llvmlite/Manifest1
-rw-r--r--dev-python/llvmlite/llvmlite-0.37.0.ebuild60
-rw-r--r--dev-python/llvmlite/metadata.xml18
-rw-r--r--dev-python/numba/Manifest2
-rw-r--r--dev-python/toposort/Manifest1
-rw-r--r--dev-python/toposort/toposort-1.6.ebuild18
-rw-r--r--dev-python/trimesh/trimesh-3.9.1.ebuild2
-rw-r--r--dev-util/rocm-clang-ocl/Manifest2
-rw-r--r--dev-util/rocm-clang-ocl/metadata.xml11
-rw-r--r--dev-util/rocm-clang-ocl/rocm-clang-ocl-4.0.0-r1.ebuild31
-rw-r--r--dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild31
-rw-r--r--dev-vcs/datalad/Manifest2
-rw-r--r--dev-vcs/datalad/datalad-0.15.1.ebuild68
-rw-r--r--dev-vcs/datalad/datalad-0.15.2.ebuild68
-rw-r--r--dev-vcs/datalad/metadata.xml30
-rw-r--r--net-misc/cernbox-client/Manifest2
-rw-r--r--net-misc/cernbox-client/cernbox-client-2.8.2.4246.ebuild2
-rw-r--r--net-misc/cernbox-client/cernbox-client-2.9.1.5500.ebuild (renamed from net-misc/cernbox-client/cernbox-client-2.7.6.3261.ebuild)21
-rw-r--r--net-misc/cernbox-client/files/cernbox-theme-2.9.1.patch11
-rw-r--r--net-misc/cernbox-client/files/owncloud-client-2.8.2.4246-qtcore-5.15.2-r10.patch13
-rw-r--r--profiles/package.mask10
-rw-r--r--sci-biology/LINKS/LINKS-1.8.7.ebuild50
-rw-r--r--sci-biology/LINKS/Manifest1
-rw-r--r--sci-biology/LINKS/metadata.xml12
-rw-r--r--sci-biology/arcs/Manifest1
-rw-r--r--sci-biology/arcs/arcs-1.2.2.ebuild35
-rw-r--r--sci-biology/arcs/metadata.xml12
-rw-r--r--sci-biology/btl_bloomfilter/Manifest1
-rw-r--r--sci-biology/btl_bloomfilter/btl_bloomfilter-1.2.1.ebuild31
-rw-r--r--sci-biology/btl_bloomfilter/metadata.xml12
-rw-r--r--sci-biology/longstitch/Manifest1
-rw-r--r--sci-biology/longstitch/longstitch-1.0.1.ebuild28
-rw-r--r--sci-biology/longstitch/metadata.xml12
-rw-r--r--sci-biology/minimap2/Manifest2
-rw-r--r--sci-biology/minimap2/minimap2-2.17.ebuild20
-rw-r--r--sci-biology/minimap2/minimap2-2.23.ebuild59
-rw-r--r--sci-biology/tigmint/Manifest2
-rw-r--r--sci-biology/tigmint/tigmint-1.2.1.ebuild29
-rw-r--r--sci-biology/tigmint/tigmint-1.2.4-r1.ebuild69
-rw-r--r--sci-biology/ugene/Manifest2
-rw-r--r--sci-biology/ugene/ugene-40.1.ebuild (renamed from sci-biology/ugene/ugene-37.0-r1.ebuild)0
-rw-r--r--sci-libs/libmatheval/files/libmatheval-1.1.11_update_configure.ac.patch40
-rw-r--r--sci-libs/libmatheval/libmatheval-1.1.11-r1.ebuild32
-rw-r--r--sci-libs/miopen/Manifest1
-rw-r--r--sci-libs/miopen/metadata.xml11
-rw-r--r--sci-libs/miopen/miopen-4.0.0-r1.ebuild61
-rw-r--r--sci-mathematics/acl2/acl2-8.3-r2.ebuild89
-rw-r--r--sci-mathematics/acl2/acl2-8.4-r1.ebuild89
-rw-r--r--sci-misc/elmer-fem/elmer-fem-9.0-r1.ebuild76
-rw-r--r--sci-misc/elmer-fem/files/elmer-fem-DCRComplexSolve-compile-error.patch70
-rw-r--r--sci-misc/elmer-fem/metadata.xml1
86 files changed, 1636 insertions, 301 deletions
diff --git a/dev-java/freehep-graphicsio-emf/Manifest b/dev-java/freehep-graphicsio-emf/Manifest
new file mode 100644
index 000000000..9ab19829d
--- /dev/null
+++ b/dev-java/freehep-graphicsio-emf/Manifest
@@ -0,0 +1 @@
+DIST freehep-vectorgraphics-2.4.tar.gz 4118379 BLAKE2B c8a5840ebab43398a6f87f97855a38f843b0e05267f5446b5f22a0c0124c98717c00801fe93ef3b541b2c53d07176ab1319a27ad26ed177b6dded11e3fa2e7bb SHA512 b5cf083cc6951e7c4b438d5e648f61ca20b23e02163a8cfc4669beaaec2fa9e33338b0ba6875bfe4a3864ac48f9774acfedc2a3b2f59a7488ef99a4817e39382
diff --git a/dev-java/freehep-graphicsio-emf/files/github-30.patch b/dev-java/freehep-graphicsio-emf/files/github-30.patch
new file mode 100644
index 000000000..c652ec6b8
--- /dev/null
+++ b/dev-java/freehep-graphicsio-emf/files/github-30.patch
@@ -0,0 +1,34 @@
+https://github.com/freehep/freehep-vectorgraphics/issues/30
+
+diff -Naur freehep-vectorgraphics-freehep-vectorgraphics-2.4.orig/freehep-graphicsio-emf/src/main/java/org/freehep/graphicsio/emf/EMFConverter.java freehep-vectorgraphics-freehep-vectorgraphics-2.4/freehep-graphicsio-emf/src/main/java/org/freehep/graphicsio/emf/EMFConverter.java
+--- freehep-vectorgraphics-freehep-vectorgraphics-2.4.orig/freehep-graphicsio-emf/src/main/java/org/freehep/graphicsio/emf/EMFConverter.java 2014-09-02 09:59:14.000000000 +0100
++++ freehep-vectorgraphics-freehep-vectorgraphics-2.4/freehep-graphicsio-emf/src/main/java/org/freehep/graphicsio/emf/EMFConverter.java 2016-05-25 22:50:41.859734476 +0100
+@@ -4,6 +4,7 @@
+ import org.freehep.graphicsbase.util.export.ExportFileType;
+
+ import java.util.List;
++import java.util.Properties;
+ import java.io.FileInputStream;
+ import java.io.File;
+
+@@ -64,9 +65,10 @@
+ destFileName += type.toLowerCase();
+ }
+
++ Properties p = new Properties();
++
+ // TODO there is no possibility to use Constants of base class!
+ /* create SVG properties
+- Properties p = new Properties();
+ p.put(SVGGraphics2D.EMBED_FONTS, Boolean.toString(false));
+ p.put(SVGGraphics2D.CLIP, Boolean.toString(true));
+ p.put(SVGGraphics2D.COMPRESS, Boolean.toString(false));
+@@ -82,7 +84,7 @@
+ new File(destFileName),
+ emfPanel,
+ emfPanel,
+- null,
++ p,
+ "Freehep EMF converter");
+ } catch (Exception e) {
+ e.printStackTrace();
diff --git a/dev-java/freehep-graphicsio-emf/freehep-graphicsio-emf-2.4-r1.ebuild b/dev-java/freehep-graphicsio-emf/freehep-graphicsio-emf-2.4-r1.ebuild
new file mode 100644
index 000000000..16fb74322
--- /dev/null
+++ b/dev-java/freehep-graphicsio-emf/freehep-graphicsio-emf-2.4-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="freehep-vectorgraphics"
+MY_P="${MY_PN}-${PV}"
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="High Energy Physics Java library - FreeHEP Enhanced Metafile Format Driver"
+HOMEPAGE="http://java.freehep.org/"
+SRC_URI="https://github.com/freehep/${MY_PN}/archive/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="~dev-java/freehep-graphics2d-${PV}:${SLOT}
+ ~dev-java/freehep-graphicsbase-${PV}:${SLOT}
+ ~dev-java/freehep-graphicsio-${PV}:${SLOT}
+ dev-java/freehep-io:0"
+
+DEPEND="${CDEPEND}
+ >=virtual/jdk-1.7
+ test? (
+ ~dev-java/freehep-graphicsio-tests-${PV}:${SLOT}
+ dev-java/junit:4
+ )"
+
+RDEPEND="${CDEPEND}
+ >=virtual/jre-1.7"
+
+S="${WORKDIR}/${MY_PN}-${MY_P}/${PN}"
+JAVA_SRC_DIR="src/main/java"
+JAVA_GENTOO_CLASSPATH="freehep-graphics2d,freehep-graphicsbase,freehep-graphicsio,freehep-io"
+
+PATCHES=( "${FILESDIR}/github-30.patch" )
+
+src_compile() {
+ java-pkg-simple_src_compile
+ java-pkg_addres ${PN}.jar src/main/resources
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ java-pkg_register-optional-dependency freehep-graphicsio-svg
+ java-pkg_dolauncher emf2svg --main org.freehep.graphicsio.emf.EMF2SVG
+}
+
+src_test() {
+ local DIR=src/test/java
+ local CP="${DIR}:${PN}.jar:$(java-pkg_getjars junit-4,freehep-graphicsio-tests,${JAVA_GENTOO_CLASSPATH})"
+
+ ejavac -cp "${CP}" -d ${DIR} $(find ${DIR} -name "*.java")
+ ejunit4 -classpath "${CP}" org.freehep.graphicsio.emf.test.EMFTestSuite
+}
diff --git a/dev-python/toposort/metadata.xml b/dev-java/freehep-graphicsio-emf/metadata.xml
index 7ef2c3782..497d14c1c 100644
--- a/dev-python/toposort/metadata.xml
+++ b/dev-java/freehep-graphicsio-emf/metadata.xml
@@ -1,12 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
<upstream>
- <remote-id type="gitlab">ericvsmith/toposort</remote-id>
- <remote-id type="pypi">toposort</remote-id>
+ <remote-id type="github">freehep/freehep-vectorgraphics</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-java/jcommon/Manifest b/dev-java/jcommon/Manifest
new file mode 100644
index 000000000..c7cdd4429
--- /dev/null
+++ b/dev-java/jcommon/Manifest
@@ -0,0 +1 @@
+DIST jcommon-1.0.23.zip 1373666 BLAKE2B 23c87cd18339ea8f5991933c1430464ca5a408d4d4afb42847ee8c3b941d8fd7ed9695af74ec9ff7fc5867758b826d49b5def73923e893910efc0a0d77f26f75 SHA512 c358239da8b1ddf53ce94bebb00b6518456aa921dd3aa84fc6a23144d499f14a85ba421cd71f3880e8d10153a6ab816f54c1fa872a4ab694ce3c7b8d69bc2a4b
diff --git a/dev-java/jcommon/jcommon-1.0.23.ebuild b/dev-java/jcommon/jcommon-1.0.23.ebuild
new file mode 100644
index 000000000..8005b903c
--- /dev/null
+++ b/dev-java/jcommon/jcommon-1.0.23.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-ant-2
+
+MY_P=${PN}-$(ver_rs 3 -)
+DESCRIPTION="A collection of useful classes used by JFreeChart, JFreeReport and others"
+HOMEPAGE="http://www.jfree.org/jcommon"
+SRC_URI="mirror://sourceforge/jfreechart/${MY_P}.zip"
+
+LICENSE="LGPL-2"
+SLOT="1.0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+BDEPEND="
+ >=virtual/jdk-1.6
+ app-arch/unzip
+ test? ( dev-java/junit:4 )"
+RDEPEND=">=virtual/jre-1.6"
+
+S="${WORKDIR}"/"${MY_P}"
+
+src_prepare() {
+ default
+ find "${WORKDIR}" -name '*.jar' -print -delete || die
+
+ if ! use debug; then
+ antflags="-Dbuild.debug=false -Dbuild.optimize=true"
+ fi
+}
+
+src_compile() {
+ if ! use debug; then
+ antflags="-Dbuild.debug=false -Dbuild.optimize=true"
+ fi
+ eant -f ant/build.xml compile $(use_doc) $antflags
+}
+
+# No tests defined in build.xml. Let's turn them off.
+# src_test() {
+# java-pkg_jar-from --into lib junit-4
+# eant -f ant/build.xml compile-junit-tests
+# ejunit4 -cp "./lib/${P}-junit.jar:$(java-pkg_getjars junit-4)" \
+# org.jfree.junit.JCommonTestSuite
+# }
+
+src_install() {
+ java-pkg_newjar ${P}.jar ${PN}.jar
+ dodoc README.md
+ use doc && java-pkg_dojavadoc javadoc
+ use source && java-pkg_dosrc src/main/java/com src/main/java/org
+}
diff --git a/dev-java/jcommon/metadata.xml b/dev-java/jcommon/metadata.xml
new file mode 100644
index 000000000..eae2d8963
--- /dev/null
+++ b/dev-java/jcommon/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">jfreechart</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-java/jfreechart/Manifest b/dev-java/jfreechart/Manifest
new file mode 100644
index 000000000..b7458ca74
--- /dev/null
+++ b/dev-java/jfreechart/Manifest
@@ -0,0 +1 @@
+DIST jfreechart-1.0.19.zip 8050676 BLAKE2B be5ac67befd6a16c9771f50bca59c3543251984b60e00e8aef350cadb1121caf391a8dddc383fa08ed89b0346e2a057a8da6a70b224d7f843f19535a4df873b2 SHA512 6345e6a6b4a82862f3908794efb70a6f5413f313ba5bcff1dfb713d21948034d80c743a0cea61be81921c62736b07209ed4b942fedca0c76226b1202a4596b31
diff --git a/dev-java/jfreechart/files/jfreechart-1.0.19-build.xml.patch b/dev-java/jfreechart/files/jfreechart-1.0.19-build.xml.patch
new file mode 100644
index 000000000..ffe657b89
--- /dev/null
+++ b/dev-java/jfreechart/files/jfreechart-1.0.19-build.xml.patch
@@ -0,0 +1,25 @@
+--- a/ant/build.xml 2011-11-20 22:40:13.000000000 +0100
++++ b/ant/build.xml 2013-03-09 14:10:53.987970148 +0100
+@@ -40,10 +40,9 @@
+ <available classname="java.lang.Annotation" property="src.version" value="1.5"/>
+ <available classname="java.lang.Annotation" property="target.version" value="1.5"/>
+ <path id="build.classpath">
+- <fileset dir="${basedir}/lib/">
+- <include name="${jcommon.name}-${jcommon.version}.jar"/>
+- <include name="servlet.jar"/>
+- </fileset>
++ <pathelement location="${jcommon.jar}"/>
++ <pathelement location="${servlet.jar}"/>
++ <pathelement location="${gnujaxp.jar}"/>
+ </path>
+
+ </target>
+@@ -321,7 +320,7 @@
+
+ <!-- COMPILE THE JUNIT TESTS. -->
+ <target name="compile-tests"
+- depends="compile,compile-experimental"
++ depends="initialise"
+ description="Compile the test code">
+
+ <mkdir dir="${basedir}/build-tests"/>
diff --git a/dev-java/jfreechart/files/jfreechart-1.0.19-fix-TimeSeriesCollectionTest.patch b/dev-java/jfreechart/files/jfreechart-1.0.19-fix-TimeSeriesCollectionTest.patch
new file mode 100644
index 000000000..ebb6c4aef
--- /dev/null
+++ b/dev-java/jfreechart/files/jfreechart-1.0.19-fix-TimeSeriesCollectionTest.patch
@@ -0,0 +1,24 @@
+--- a/tests/org/jfree/data/time/TimeSeriesCollectionTest.java 2011-11-20 22:40:13.000000000 +0100
++++ b/tests/org/jfree/data/time/TimeSeriesCollectionTest.java 2013-05-21 00:18:03.840041846 +0200
+@@ -339,6 +339,10 @@
+ * java.util.List, boolean)} method.
+ */
+ public void testFindDomainBounds() {
++ // store the current time zone
++ TimeZone saved = TimeZone.getDefault();
++ TimeZone.setDefault(TimeZone.getTimeZone("Europe/Paris"));
++
+ TimeSeriesCollection dataset = new TimeSeriesCollection();
+ List visibleSeriesKeys = new java.util.ArrayList();
+ Range r = DatasetUtilities.findDomainBounds(dataset, visibleSeriesKeys,
+@@ -351,10 +355,6 @@
+ r = DatasetUtilities.findDomainBounds(dataset, visibleSeriesKeys, true);
+ assertNull(r);
+
+- // store the current time zone
+- TimeZone saved = TimeZone.getDefault();
+- TimeZone.setDefault(TimeZone.getTimeZone("Europe/Paris"));
+-
+ s1.add(new Year(2008), 8.0);
+ r = DatasetUtilities.findDomainBounds(dataset, visibleSeriesKeys, true);
+ assertEquals(1199142000000.0, r.getLowerBound(), EPSILON);
diff --git a/dev-java/jfreechart/jfreechart-1.0.19-r2.ebuild b/dev-java/jfreechart/jfreechart-1.0.19-r2.ebuild
new file mode 100644
index 000000000..e83f79d4b
--- /dev/null
+++ b/dev-java/jfreechart/jfreechart-1.0.19-r2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="JFreeChart is a free Java class library for generating charts"
+HOMEPAGE="http://www.jfree.org/jfreechart"
+SRC_URI="mirror://sourceforge/${PN}/${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="1.0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND="
+ dev-java/jfreesvg:2.1
+ >=dev-java/jcommon-1.0.23:1.0
+ java-virtuals/servlet-api:3.0"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.6"
+
+BDEPEND="
+ ${CDEPEND}
+ test? (
+ dev-java/ant-junit:0
+ dev-java/junit:4
+ )
+ app-arch/unzip
+ >=virtual/jdk-1.6"
+
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.0.19-build.xml.patch"
+ "${FILESDIR}/${PN}-1.0.19-fix-TimeSeriesCollectionTest.patch"
+)
+
+JAVA_ANT_ENCODING="ISO-8859-1"
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+
+EANT_BUILD_XML="ant/build.xml"
+EANT_BUILD_TARGET="compile-experimental"
+EANT_GENTOO_CLASSPATH="
+ jfreesvg-2.1
+ jcommon-1.0
+ servlet-api-3.0
+"
+
+EANT_DOC_TARGET="javadoc"
+
+src_prepare() {
+ default
+
+ java-pkg_clean
+}
+
+src_install() {
+ java-pkg_newjar "lib/${P}.jar" "${PN}.jar"
+ java-pkg_newjar "lib/${P}-experimental.jar" "${PN}-experimental.jar"
+
+ dodoc README.txt ChangeLog NEWS
+
+ use doc && java-pkg_dojavadoc javadoc
+ use source && java-pkg_dosrc source/org
+}
diff --git a/dev-java/jfreechart/metadata.xml b/dev-java/jfreechart/metadata.xml
new file mode 100644
index 000000000..eae2d8963
--- /dev/null
+++ b/dev-java/jfreechart/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">jfreechart</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-java/jfreesvg/Manifest b/dev-java/jfreesvg/Manifest
new file mode 100644
index 000000000..e35008887
--- /dev/null
+++ b/dev-java/jfreesvg/Manifest
@@ -0,0 +1,2 @@
+DIST jfreesvg-2.1.zip 2042545 BLAKE2B 702ea55c6e51bca156a41c5e624452fdad8c1a5472c204cbf58f796134ed6027259abd0a48719bbb5f83f6891ab3aec5db58c8726b0275b894065148a07ec179 SHA512 6c1556c640e749778aeb969540db7724895fe2113a7ceea732793730301dd04a1beafef35249b27b75696271bcd67a59236a15c106f7717482561011a1a08bc4
+DIST jfreesvg-3.0.zip 1946062 BLAKE2B 58aa3c95db3a0472de1e2c184f1e8bc9aa72b86f508dd7d41f169f03c8f07380269a36d0a22a71378ab7c2d45427fb479994b907c4e25317794814da69f79d7c SHA512 7d0bdcbf56f0a7110058137d53e291c41e53040cbc19442989a0c6d28f5d6d3ed26ecedbfc947ce845b8a971729e2d784e8ce5a041f6f095ff626a3494a55715
diff --git a/dev-java/jfreesvg/jfreesvg-2.1-r1.ebuild b/dev-java/jfreesvg/jfreesvg-2.1-r1.ebuild
new file mode 100644
index 000000000..62b6965cd
--- /dev/null
+++ b/dev-java/jfreesvg/jfreesvg-2.1-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="JFreeSVG is a fast, light-weight, vector graphics library for the Java platform"
+HOMEPAGE="http://www.jfree.org/jfreesvg/"
+SRC_URI="mirror://sourceforge/jfreegraphics2d/${P}.zip"
+
+LICENSE="GPL-3"
+SLOT="2.1"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+BDEPEND="
+ app-arch/unzip
+ >=virtual/jdk-1.6"
+
+RDEPEND="
+ >=virtual/jre-1.6"
+
+src_prepare() {
+ default
+ java-pkg_clean
+}
+
+src_compile() {
+ if ! use debug; then
+ antflags="-Dbuild.debug=false -Dbuild.optimize=true"
+ fi
+ eant -f ant/build.xml compile $(use_doc) $antflags
+}
+
+src_install() {
+ java-pkg_newjar "./lib/${P}.jar" ${PN}.jar
+ dodoc README.md
+ use doc && java-pkg_dojavadoc javadoc
+ use source && java-pkg_dosrc src/main/java
+}
diff --git a/dev-java/jfreesvg/jfreesvg-3.0.ebuild b/dev-java/jfreesvg/jfreesvg-3.0.ebuild
new file mode 100644
index 000000000..ec6f7ac34
--- /dev/null
+++ b/dev-java/jfreesvg/jfreesvg-3.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="JFreeSVG is a fast, light-weight, vector graphics library for the Java platform"
+HOMEPAGE="http://www.jfree.org/jfreesvg/"
+SRC_URI="mirror://sourceforge/jfreegraphics2d/${P}.zip"
+
+LICENSE="GPL-3"
+SLOT="3.0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+BDEPEND=">=virtual/jdk-1.6
+ app-arch/unzip"
+RDEPEND=">=virtual/jre-1.6"
+
+src_prepare() {
+ default
+ find "${WORKDIR}" -name '*.jar' -print -delete || die
+}
+
+src_compile() {
+ if ! use debug; then
+ antflags="-Dbuild.debug=false -Dbuild.optimize=true"
+ fi
+ eant -f ant/build.xml compile $(use_doc) $antflags
+}
+
+src_install() {
+ java-pkg_newjar "./lib/${P}.jar" ${PN}.jar
+ dodoc README.md
+ use doc && java-pkg_dojavadoc javadoc
+ use source && java-pkg_dosrc src/main/java
+}
diff --git a/dev-java/jfreesvg/metadata.xml b/dev-java/jfreesvg/metadata.xml
new file mode 100644
index 000000000..bcad7a209
--- /dev/null
+++ b/dev-java/jfreesvg/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <use>
+ <flag name="debug">
+ Enable debugging during compilation.
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">jfreegraphics2d</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-java/lucene/lucene-3.6.2-r2.ebuild b/dev-java/lucene/lucene-3.6.2-r2.ebuild
index 97e5c8d6e..31fd5ed60 100644
--- a/dev-java/lucene/lucene-3.6.2-r2.ebuild
+++ b/dev-java/lucene/lucene-3.6.2-r2.ebuild
@@ -31,7 +31,7 @@ CDEPEND="
dev-java/commons-logging:0
dev-java/commons-beanutils:1.7
dev-java/commons-codec:0
- dev-java/icu4j:56
+ dev-java/icu4j:52
)"
DEPEND="
@@ -119,7 +119,7 @@ src_compile() {
commons-logging
commons-beanutils-1.7
commons-codec
- icu4j-56
+ icu4j-52
"
EANT_BUILD_TARGET+=" build-contrib"
EANT_DOC_TARGET+=" javadocs-all"
diff --git a/dev-java/lucene/lucene-5.2.1.ebuild b/dev-java/lucene/lucene-5.2.1.ebuild
index 8038db195..6c7e3aed3 100644
--- a/dev-java/lucene/lucene-5.2.1.ebuild
+++ b/dev-java/lucene/lucene-5.2.1.ebuild
@@ -35,7 +35,7 @@ CDEPEND="
dev-java/commons-logging:0
dev-java/commons-beanutils:1.7
dev-java/commons-codec:0
- dev-java/icu4j:56
+ dev-java/icu4j:52
dev-java/log4j:0
)"
@@ -114,7 +114,7 @@ src_prepare() {
if use modules; then
mkdir -p analysis/icu/lib
- java-pkg_jar-from --into analysis/icu/lib icu4j-56
+ java-pkg_jar-from --into analysis/icu/lib icu4j-52
# disable morfologik, dependency does not build
# disable uima, dependency does not build
# disable phonetic, dependency does not exist
@@ -171,7 +171,7 @@ src_compile() {
commons-logging
commons-beanutils-1.7
commons-codec
- icu4j-56
+ icu4j-52
log4j
"
EANT_BUILD_TARGET+=" build-modules"
diff --git a/dev-java/lucene/lucene-8.4.0.ebuild b/dev-java/lucene/lucene-8.4.0.ebuild
index b9967b3e5..de72b14c6 100644
--- a/dev-java/lucene/lucene-8.4.0.ebuild
+++ b/dev-java/lucene/lucene-8.4.0.ebuild
@@ -35,7 +35,7 @@ CDEPEND="
dev-java/commons-logging:0
dev-java/commons-beanutils:1.7
dev-java/commons-codec:0
- dev-java/icu4j:56
+ dev-java/icu4j:52
dev-java/log4j:0
)"
@@ -124,7 +124,7 @@ src_prepare() {
if use modules; then
mkdir -p analysis/icu/lib
- java-pkg_jar-from --into analysis/icu/lib icu4j-56
+ java-pkg_jar-from --into analysis/icu/lib icu4j-52
# disable morfologik, dependency does not build
# disable opennlp, dependency does not exist
# disable phonetic, dependency does not exist
@@ -183,7 +183,7 @@ src_compile() {
commons-logging
commons-beanutils-1.7
commons-codec
- icu4j-56
+ icu4j-52
log4j
"
EANT_BUILD_TARGET+=" build-modules"
diff --git a/dev-libs/half/Manifest b/dev-libs/half/Manifest
deleted file mode 100644
index 13b3240b2..000000000
--- a/dev-libs/half/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST half-1.12.0.tar.gz 108704 BLAKE2B f0084f380b10485b30da3ff38c5e3098044cc21fe00b084b2b9dd69b9a5c06b2ddedae1cefa61197d74a14552da2e5648db3e3108044b5fc5f7975fa1e10c6d4 SHA512 152f9c08a4493662aed96ddce5d45ece94836727766a66060640f8f1f43ee6ecdb174e7e17421ba83f2a01ba836bb1cba9fe60d83aea517f4772b9038173274b
-DIST half-2.1.0.zip 47043 BLAKE2B 53d42c48b9a39bbbdace0442e876373cb8c76d395b7cdc04db2d7beca27c507a10c094ea705a94384fbaa0d2bdca6a82977738ec8bfbe47fc12f82c0ce74c6db SHA512 fc81a1b58862eb4570f18b5c82ca66eb9e6cf697801ef5686dc36950d149adaa8e6c2543a1b698e983e29253da5137e6b565a69991d4924598f0a10a8ba52142
diff --git a/dev-libs/half/half-1.12.0.ebuild b/dev-libs/half/half-1.12.0.ebuild
deleted file mode 100644
index 5df7cc0cc..000000000
--- a/dev-libs/half/half-1.12.0.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="Half-precision floating-point library"
-HOMEPAGE="http://half.sourceforge.net/"
-SRC_URI="https://github.com/ROCmSoftwarePlatform/half/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~amd64"
-SLOT="0"
-
-src_install() {
- cd include
- doheader half.hpp
-}
diff --git a/dev-libs/half/half-2.1.0.ebuild b/dev-libs/half/half-2.1.0.ebuild
deleted file mode 100644
index 023316aab..000000000
--- a/dev-libs/half/half-2.1.0.ebuild
+++ /dev/null
@@ -1,20 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="Half-precision floating-point library"
-HOMEPAGE="http://half.sourceforge.net/"
-SRC_URI="https://downloads.sourceforge.net/project/half/half/${PV}/${P}.zip"
-S="${WORKDIR}"
-
-LICENSE="MIT"
-KEYWORDS="~amd64"
-SLOT="0"
-
-BDEPEND="app-arch/unzip"
-
-src_install() {
- cd include
- doheader half.hpp
-}
diff --git a/dev-libs/half/metadata.xml b/dev-libs/half/metadata.xml
deleted file mode 100644
index 336bdb639..000000000
--- a/dev-libs/half/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM 'http://www.gentoo.org/dtd/metadata.dtd'>
-<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>gentoo@holzke.net</email>
- <name>Wilfried Holzke</name>
- </maintainer>
-</pkgmetadata>
diff --git a/dev-python/annexremote/Manifest b/dev-python/annexremote/Manifest
new file mode 100644
index 000000000..f60f5eca8
--- /dev/null
+++ b/dev-python/annexremote/Manifest
@@ -0,0 +1,2 @@
+DIST annexremote-1.5.0.tar.gz 65988 BLAKE2B a8ebbe8d4d3bfa7bcdfec3c43ec76788f3b4006804c715c5baf40f7e999a9a28052428ecee9ad865e8216ecf51ebbaf4728f73f622ac6b49edafbf623255419d SHA512 b0d2b3f41046f43ff49ca1d629a34e0d80c200a28bf13a3cf4f138204afa9fb7b04b6d8b9851bb201438fc6ef692d43dbaa96cf129855978fb40fdecf8818b67
+DIST annexremote-1.6.0.tar.gz 66805 BLAKE2B 6663e7ff3e223ac49a2e57ffaab20097bd91f1f8a679e15b7aa0ddd60411f99a602eaa6a7dc2e3f93b57bdff49fc70b3ddfd27f5f48ea89d97c8091fa6f7584b SHA512 657d9f53ebf1f0ad87aae758736ea3e5695e2c0f7ba111bd0810482126e4b38b292abc49fc3c2b55d6e63a42eab90aeaf64c4f287bbfbaa169070aed1356c430
diff --git a/dev-python/annexremote/annexremote-1.5.0.ebuild b/dev-python/annexremote/annexremote-1.5.0.ebuild
new file mode 100644
index 000000000..94549009e
--- /dev/null
+++ b/dev-python/annexremote/annexremote-1.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+MY_PN="AnnexRemote"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Helper module to easily develop git-annex remotes"
+HOMEPAGE="https://github.com/Lykos153/AnnexRemote"
+SRC_URI="https://github.com/Lykos153/AnnexRemote/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="dev-python/future[${PYTHON_USEDEP}]"
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+DEPEND="
+ ${COMMON_DEPEND}
+"
+
+distutils_enable_tests nose
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dodoc README.md
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/annexremote/annexremote-1.6.0.ebuild b/dev-python/annexremote/annexremote-1.6.0.ebuild
new file mode 100644
index 000000000..94549009e
--- /dev/null
+++ b/dev-python/annexremote/annexremote-1.6.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+MY_PN="AnnexRemote"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Helper module to easily develop git-annex remotes"
+HOMEPAGE="https://github.com/Lykos153/AnnexRemote"
+SRC_URI="https://github.com/Lykos153/AnnexRemote/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="dev-python/future[${PYTHON_USEDEP}]"
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+DEPEND="
+ ${COMMON_DEPEND}
+"
+
+distutils_enable_tests nose
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dodoc README.md
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/annexremote/metadata.xml b/dev-python/annexremote/metadata.xml
new file mode 100644
index 000000000..0c1ee80ae
--- /dev/null
+++ b/dev-python/annexremote/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gentoo@chymera.eu</email>
+ <name>Horea Christian</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ Helper module to easily develop special remotes for git annex. AnnexRemote
+ handles all the protocol stuff for you, so you can focus on the remote
+ itself. It implements the complete external special remote protocol and
+ fulfils all specifications regarding whitespaces etc.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">Lykos153/AnnexRemote</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/fslpy/fslpy-3.4.0.ebuild b/dev-python/fslpy/fslpy-3.4.0.ebuild
index ebde16303..59e17f0cf 100644
--- a/dev-python/fslpy/fslpy-3.4.0.ebuild
+++ b/dev-python/fslpy/fslpy-3.4.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1 virtualx
@@ -27,6 +27,11 @@ RDEPEND="
sci-libs/rtree[${PYTHON_USEDEP}]
>=sci-libs/nibabel-2.3.1[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
+ !<sci-biology/fsl-6.0.4
+"
+
+DEPEND="
+ !<sci-biology/fsl-6.0.4
"
PATCHES=(
diff --git a/dev-python/hdmf/Manifest b/dev-python/hdmf/Manifest
new file mode 100644
index 000000000..67e1f4b6c
--- /dev/null
+++ b/dev-python/hdmf/Manifest
@@ -0,0 +1 @@
+DIST hdmf-3.1.1.tar.gz 292419 BLAKE2B eed1b1c282f022f7e1bd3af63c3078563a74895bf177244841ee0cabd3ab391e2d7a48c9a111a909f5982bf1a1c9b44f1b82fd710f9729681bcada396d3c3d7b SHA512 41776932b1150126a162e9f87072d6626a28bb3f0e05f75337e4f6529c27005ca9db932fdff0c45bb16cbebf68388c7cbf575bbd17950c29c300702a37afacf0
diff --git a/dev-python/hdmf/files/hdmf-3.1.1-new_jsonschema.patch b/dev-python/hdmf/files/hdmf-3.1.1-new_jsonschema.patch
new file mode 100644
index 000000000..989332bb5
--- /dev/null
+++ b/dev-python/hdmf/files/hdmf-3.1.1-new_jsonschema.patch
@@ -0,0 +1,10 @@
+--- a/setup.py 2021-09-24 00:51:55.892741725 -0400
++++ b/setup.py 2021-10-27 14:33:20.733741241 -0400
+@@ -23,7 +23,7 @@
+ 'scipy>=1.1,<2',
+ 'pandas>=1.0.5,<2',
+ 'ruamel.yaml>=0.16,<1',
+- 'jsonschema>=2.6.0,<4',
++ 'jsonschema>=2.6.0',
+ 'setuptools',
+ ]
diff --git a/dev-python/hdmf/hdmf-3.1.1.ebuild b/dev-python/hdmf/hdmf-3.1.1.ebuild
new file mode 100644
index 000000000..1731b0d90
--- /dev/null
+++ b/dev-python/hdmf/hdmf-3.1.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="The Hierarchical Data Modeling Framework"
+HOMEPAGE="https://github.com/hdmf-dev/hdmf"
+SRC_URI="https://github.com/hdmf-dev/hdmf/releases/download/${PV}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/h5py[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ "
+BDEPEND=""
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.1.1-new_jsonschema.patch"
+)
diff --git a/dev-python/hdmf/metadata.xml b/dev-python/hdmf/metadata.xml
new file mode 100644
index 000000000..82da7c426
--- /dev/null
+++ b/dev-python/hdmf/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gentoo@chymera.eu</email>
+ <name>Horea Christian</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ The Hierarchical Data Modeling Framework, or HDMF, is a Python package
+ for working with hierarchical data. It provides APIs for specifying
+ data models, reading and writing data to different storage backends,
+ and representing data with Python object.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-python/keyrings_alt/Manifest b/dev-python/keyrings_alt/Manifest
new file mode 100644
index 000000000..ec1eff845
--- /dev/null
+++ b/dev-python/keyrings_alt/Manifest
@@ -0,0 +1 @@
+DIST keyrings.alt-4.1.0.tar.gz 28581 BLAKE2B bb4c8c5faa130c4cfb377985ee8692bcce802f0e03d1121281a8d73ac1c4ced4c6f913e6ab9ff39b1b7d37ff41b37905910d3a02e91fa4160fbe109aa16c2ae0 SHA512 6c2a7637bc73971081b95851898dcc2fafe5fd155333cee7032983b16f668d8db941c972747c7c4a2e20b4d6a5fe52d8ad96448f8ae7d372cd1c32e2a0d344f9
diff --git a/dev-python/keyrings_alt/keyrings_alt-4.1.0.ebuild b/dev-python/keyrings_alt/keyrings_alt-4.1.0.ebuild
new file mode 100644
index 000000000..247679bb6
--- /dev/null
+++ b/dev-python/keyrings_alt/keyrings_alt-4.1.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+inherit distutils-r1
+
+MY_PN="keyrings.alt"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Alternate keyring backend implementations used with dev-python/keyring"
+HOMEPAGE="https://github.com/jaraco/keyrings.alt/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~x86"
+
+DEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
diff --git a/dev-python/keyrings_alt/metadata.xml b/dev-python/keyrings_alt/metadata.xml
new file mode 100644
index 000000000..59728c331
--- /dev/null
+++ b/dev-python/keyrings_alt/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gentoo@chymera.eu</email>
+ <name>Horea Christian</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ This package distributes backends extracted from the main Python keyring
+ project to make them available for those who wish to employ them, but
+ are discouraged for general production use. Include this module and use
+ its backends at your own risk.
+ For example, the PlaintextKeyring stores passwords in plain text on the
+ file system, defeating the intended purpose of this library to encourage
+ best practices for security.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">jaraco/keyrings.alt</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/llvmlite/Manifest b/dev-python/llvmlite/Manifest
new file mode 100644
index 000000000..317bf1f96
--- /dev/null
+++ b/dev-python/llvmlite/Manifest
@@ -0,0 +1 @@
+DIST llvmlite-0.37.0.gh.tar.gz 223602 BLAKE2B 74f975d5ac1782528f60f1c0d5c6230a02953e0d494d8323e4caa6651f642ad791ad51df44f6593da41edc5c34bd883f144e95b16f9b8962393d16de013fdbc5 SHA512 665f486fd38c9cc4ee91b15fc75f33451ada6391fc9f1b371091ece844693e0cd8e23766400bf76d9879e8f10f53f4e21f8bb19f3ff1e01c4a95ce9004b0884a
diff --git a/dev-python/llvmlite/llvmlite-0.37.0.ebuild b/dev-python/llvmlite/llvmlite-0.37.0.ebuild
new file mode 100644
index 000000000..d76175444
--- /dev/null
+++ b/dev-python/llvmlite/llvmlite-0.37.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 llvm
+
+DESCRIPTION="Python wrapper around the llvm C++ library"
+HOMEPAGE="https://llvmlite.pydata.org/"
+SRC_URI="https://github.com/numba/llvmlite/archive/v${PV/_/}.tar.gz -> ${P/_/}.gh.tar.gz"
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="examples"
+
+LLVM_MAX_SLOT=11
+
+RDEPEND="
+ sys-devel/llvm:${LLVM_MAX_SLOT}
+ sys-libs/zlib:0=
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ sed -i -e '/max_python/s:3\.10:3.11:' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_configure_all() {
+ # upstream's build system is just horrible, and they ignored the PR
+ # fixing it, so let's build the shared lib properly using implicit
+ # make rules
+
+ export LDLIBS=$(llvm-config --libs all)
+ export CXXFLAGS="$(llvm-config --cxxflags) -fPIC ${CXXFLAGS}"
+ export LDFLAGS="$(llvm-config --ldflags) ${LDFLAGS}"
+
+ local files=( ffi/*.cpp )
+ emake -f - <<EOF
+ffi/libllvmlite.so: ${files[*]/.cpp/.o}
+ \$(CXX) -shared \$(CXXFLAGS) \$(LDFLAGS) -o \$@ \$^ \$(LDLIBS)
+EOF
+
+ export LLVMLITE_SKIP_LLVM_VERSION_CHECK=1
+}
+
+python_test() {
+ "${EPYTHON}" runtests.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/llvmlite/metadata.xml b/dev-python/llvmlite/metadata.xml
new file mode 100644
index 000000000..0983f7a41
--- /dev/null
+++ b/dev-python/llvmlite/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription>
+ llvmlite uses the LLVM library for JIT (just-in-time) compilation of
+ Python code into native machine instructions during runtime. Instead
+ of exposing large parts of the LLVM C++ API for direct calls into the
+ LLVM library, llvmlite follows a lightweight multi-layered approach.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">llvmlite</remote-id>
+ <remote-id type="github">numba/llvmlite</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/numba/Manifest b/dev-python/numba/Manifest
index 6791f6231..04302b8a6 100644
--- a/dev-python/numba/Manifest
+++ b/dev-python/numba/Manifest
@@ -1 +1 @@
-DIST numba-0.54.0.tar.gz 2263308 BLAKE2B 263334786a1bbdec91186e85de5a5a3b003f704be1e925c0c46f5797a0d2c56b1c86760f40e83c2b36fd68a97601fb9ec0df70fac9a5efdc7b2d33a9c19666eb SHA512 c8091e4209ae7005ac04ea8c6f9c0e534b46f38cdfe692db562bb374beff71162c353d597f12a70edcf572792c71e1955e25de60edd69bf4b6a1a0e22b3dff90
+DIST numba-0.54.0.tar.gz 2263302 BLAKE2B 24747fcf23f686460fdd8df4784a3bccd6c41f07ff7e657f797a2959066254c079b05ec4460a7cbafef9482f463aa000ee28f8f09339cd7568a0c85b52bc4437 SHA512 ad1142e8c772660b7cbbd17566b9dc96784057467b5cc546f88e2215c9428905e1f6da05ffe104f4ad526f5131fedfa9057745d5458c3293a8cd8e01a49d0fad
diff --git a/dev-python/toposort/Manifest b/dev-python/toposort/Manifest
deleted file mode 100644
index 6e30f532e..000000000
--- a/dev-python/toposort/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST toposort-1.6.tar.gz 11690 BLAKE2B a9a57fd182a3324d43112c3f84a20039f032d99bf2c35c6678a6a08c23b123f18610f460529dd39c769b935d98270a25ded2f1a483e4e6f06d3ccc501b340cb8 SHA512 8dc30b5d5a6f476756520236bc93840243690779783ec8f0b5ef0f72c64d774177b25d10d2e024cda968f81352abbc4f89f3069760fc3a86bd5ee387e7951928
diff --git a/dev-python/toposort/toposort-1.6.ebuild b/dev-python/toposort/toposort-1.6.ebuild
deleted file mode 100644
index a9917ed10..000000000
--- a/dev-python/toposort/toposort-1.6.ebuild
+++ /dev/null
@@ -1,18 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Implements a topological sort algorithm"
-HOMEPAGE="https://gitlab.com/ericvsmith/toposort"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-distutils_enable_tests setup.py
diff --git a/dev-python/trimesh/trimesh-3.9.1.ebuild b/dev-python/trimesh/trimesh-3.9.1.ebuild
index d1dc5a9ae..5376fadd6 100644
--- a/dev-python/trimesh/trimesh-3.9.1.ebuild
+++ b/dev-python/trimesh/trimesh-3.9.1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
diff --git a/dev-util/rocm-clang-ocl/Manifest b/dev-util/rocm-clang-ocl/Manifest
deleted file mode 100644
index 80600df00..000000000
--- a/dev-util/rocm-clang-ocl/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST rocm-clang-ocl-4.0.0.tar.gz 3259 BLAKE2B a3c0237590b662a9298c39da306559c893ca50ff9dcb4a7cb150dcf381db0a9c17da7be553e0e33075a63c7a00c77e9dd30a40ae1ebdee225b0fd9cd199b0c9e SHA512 8d1b3a976fd1995980b524c32345a67eb6876ed76253efe99d55aea8dc07c673d6f84f69bf6379aeba95fd9d49ad745555096fce63300090c7e2868f3eecd261
-DIST rocm-clang-ocl-4.1.0.tar.gz 3238 BLAKE2B 60086022b3edd63ad4a76fc4751256c54db606e1ee915eb2b45dd9122e9aaa8c26192da814da17eccbe05977aa44ea29f3c2e5ccd2aedcfc609c4cc7339c37fb SHA512 685b21821d2a18c40dea41e610c4905916f9dedb80a9c4808c763c8ccbb5f4c473b51ab76da6782c7de985d00bd5b78a63e7cdb025ff74e3c088ab3f273b7e71
diff --git a/dev-util/rocm-clang-ocl/metadata.xml b/dev-util/rocm-clang-ocl/metadata.xml
deleted file mode 100644
index 336bdb639..000000000
--- a/dev-util/rocm-clang-ocl/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM 'http://www.gentoo.org/dtd/metadata.dtd'>
-<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>gentoo@holzke.net</email>
- <name>Wilfried Holzke</name>
- </maintainer>
-</pkgmetadata>
diff --git a/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.0.0-r1.ebuild b/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.0.0-r1.ebuild
deleted file mode 100644
index e153f61d3..000000000
--- a/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.0.0-r1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="OpenCL compilation with clang compiler"
-HOMEPAGE="https://github.com/RadeonOpenCompute/clang-ocl.git"
-SRC_URI="https://github.com/RadeonOpenCompute/clang-ocl/archive/rocm-${PV}.tar.gz -> rocm-clang-ocl-${PV}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="dev-libs/rocm-opencl-runtime"
-DEPEND="dev-util/cmake
- dev-util/rocm-cmake
- ${RDEPEND}"
-
-S=${WORKDIR}/clang-ocl-rocm-${PV}
-
-src_prepare() {
- sed -e "s:HINTS \${CXX_COMPILER_PATH}/bin:NO_DEFAULT_PATH:" \
- -e "s:/opt/rocm/llvm/bin:${EPREFIX}/usr/lib/llvm/roc/bin:" \
- -e "/AMDDeviceLibs PATHS/s:/opt/rocm:${EPREFIX}/usr/lib/cmake/AMDDeviceLibs:" \
- -e "s:\${AMD_DEVICE_LIBS_PREFIX}/amdgcn/bitcode:${EPREFIX}/usr/lib/amdgcn/bitcode:" \
- -i CMakeLists.txt || die
-
- cmake_src_prepare
-}
diff --git a/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild b/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild
deleted file mode 100644
index 1429be33c..000000000
--- a/dev-util/rocm-clang-ocl/rocm-clang-ocl-4.1.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="OpenCL compilation with clang compiler"
-HOMEPAGE="https://github.com/RadeonOpenCompute/clang-ocl.git"
-SRC_URI="https://github.com/RadeonOpenCompute/clang-ocl/archive/rocm-${PV}.tar.gz -> rocm-clang-ocl-${PV}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="dev-libs/rocm-opencl-runtime"
-DEPEND="
- dev-util/rocm-cmake
- ${RDEPEND}"
-
-S="${WORKDIR}/clang-ocl-rocm-${PV}"
-
-src_prepare() {
- sed -e "s:HINTS \${CXX_COMPILER_PATH}/bin:NO_DEFAULT_PATH:" \
- -e "s:/opt/rocm/llvm/bin:${EPREFIX}/usr/lib/llvm/roc/bin:" \
- -e "/AMDDeviceLibs PATHS/s:/opt/rocm:${EPREFIX}/usr/lib/cmake/AMDDeviceLibs:" \
- -e "s:\${AMD_DEVICE_LIBS_PREFIX}/amdgcn/bitcode:${EPREFIX}/usr/lib/amdgcn/bitcode:" \
- -i CMakeLists.txt || die
-
- cmake_src_prepare
-}
diff --git a/dev-vcs/datalad/Manifest b/dev-vcs/datalad/Manifest
new file mode 100644
index 000000000..c4147a574
--- /dev/null
+++ b/dev-vcs/datalad/Manifest
@@ -0,0 +1,2 @@
+DIST datalad-0.15.1.tar.gz 1357778 BLAKE2B 7c12c3ff1bd8d260e8e7cfd9e477a1f0798f6fc0fbdbc335229bcf88362ebc7280eeb92bb59c45e0f66677297680e4d8d7bc8f56c7ac171f921bc389c1ceef7c SHA512 d5ae7859486748cbf40bd27f3351fa5620b8342c6a4347b8e3e0cb331de5fa33b9384071adbb899fd7878641a210a11b360a9ea68d0c7437eae709244fa08fd1
+DIST datalad-0.15.2.tar.gz 1361038 BLAKE2B c515b374f0781693ed0f1d0d2c260a0bdb1c9e998b782a2232c501b4ab7c022adc38f00a79d0aed04ffde4ade5c696705d53bf16dbaec2378c74ef4ab35a7a15 SHA512 f0206855439c2d376172218ec6bf1ffa3277508256a5a49a2ec65a57bb5720e039481329c16459ed62eb1c9ed0126dc178ca34fa2c3b8dfdf8b8a0706a2b8658
diff --git a/dev-vcs/datalad/datalad-0.15.1.ebuild b/dev-vcs/datalad/datalad-0.15.1.ebuild
new file mode 100644
index 000000000..2322ac254
--- /dev/null
+++ b/dev-vcs/datalad/datalad-0.15.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Keep code, data, containers under control with git and git-annex"
+HOMEPAGE="https://github.com/datalad/datalad"
+SRC_URI="https://github.com/datalad/datalad/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test +downloaders +metadata +publish misc"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-arch/p7zip
+ dev-python/annexremote[${PYTHON_USEDEP}]
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/distro[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/humanize[${PYTHON_USEDEP}]
+ dev-python/fasteners[${PYTHON_USEDEP}]
+ app-arch/patool[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ downloaders? (
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/keyrings_alt[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+ metadata? (
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/whoosh[${PYTHON_USEDEP}]
+ )
+ misc? (
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ dev-python/pyperclip[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+ publish? (
+ dev-vcs/python-gitlab[${PYTHON_USEDEP}]
+ dev-python/PyGithub[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ dev-python/vcrpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose
+
+python_test() {
+ export DATALAD_TESTS_NONETWORK=1
+ ${EPYTHON} -m nose -s -v -A "not(integration or usecase or slow or network or turtle)" datalad || die
+ # Full test suite takes for ever:
+ # ${EPYTHON} -m nose -s -v datalad || die
+}
diff --git a/dev-vcs/datalad/datalad-0.15.2.ebuild b/dev-vcs/datalad/datalad-0.15.2.ebuild
new file mode 100644
index 000000000..2322ac254
--- /dev/null
+++ b/dev-vcs/datalad/datalad-0.15.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Keep code, data, containers under control with git and git-annex"
+HOMEPAGE="https://github.com/datalad/datalad"
+SRC_URI="https://github.com/datalad/datalad/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test +downloaders +metadata +publish misc"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-arch/p7zip
+ dev-python/annexremote[${PYTHON_USEDEP}]
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/distro[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/humanize[${PYTHON_USEDEP}]
+ dev-python/fasteners[${PYTHON_USEDEP}]
+ app-arch/patool[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ downloaders? (
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/keyrings_alt[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+ metadata? (
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/whoosh[${PYTHON_USEDEP}]
+ )
+ misc? (
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ dev-python/pyperclip[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+ publish? (
+ dev-vcs/python-gitlab[${PYTHON_USEDEP}]
+ dev-python/PyGithub[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ dev-python/vcrpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose
+
+python_test() {
+ export DATALAD_TESTS_NONETWORK=1
+ ${EPYTHON} -m nose -s -v -A "not(integration or usecase or slow or network or turtle)" datalad || die
+ # Full test suite takes for ever:
+ # ${EPYTHON} -m nose -s -v datalad || die
+}
diff --git a/dev-vcs/datalad/metadata.xml b/dev-vcs/datalad/metadata.xml
new file mode 100644
index 000000000..8a6c00a2d
--- /dev/null
+++ b/dev-vcs/datalad/metadata.xml
@@ -0,0 +1,30 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gentoo@chymera.eu</email>
+ <name>Horea Christian</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ DataLad makes data management and data distribution more accessible. To
+ do that, it stands on the shoulders of Git and Git-annex to deliver a
+ decentralized system for data exchange. This includes automated
+ ingestion of data from online portals and exposing it in readily usable
+ form as Git(-annex) repositories, so-called datasets. The actual data
+ storage and permission management, however, remains with the original
+ data providers.
+ </longdescription>
+ <use>
+ <flag name="downloaders">Extended support for download resources</flag>
+ <flag name="metadata">Annotated metadata support for datasets</flag>
+ <flag name="misc">Dataset publishing support</flag>
+ <flag name="publish">Dataset publishing support</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">datalad/datalad</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/net-misc/cernbox-client/Manifest b/net-misc/cernbox-client/Manifest
index d826df9fb..e83150294 100644
--- a/net-misc/cernbox-client/Manifest
+++ b/net-misc/cernbox-client/Manifest
@@ -1,3 +1,3 @@
DIST cernbox-client-2.7.1-2596.src.rpm 15434250 BLAKE2B 3ef3fcc4010b3f292aee9b6bba7b5f9a72e4fbca1236e1e85e6523cd4e38d980fe4542c5f019647a19040be64628159651630a61ee8894cb7bcf4b69d342ccd0 SHA512 e329b84fc7aa62068f934bf8a9f47432709094adc618274c1b8ddbf7331094cb71b6208d3a777150ee426141301e0279cb219d65b123335f2e198a9b87980e5d
-DIST ownCloud-2.7.6.3261.tar.xz 14237692 BLAKE2B 914b069b10fa2f169677768e1578c5b8569836eb574889c72c0ea1ca3e16e6b7c65bcdd1f4a5ce4259eab6ec56110e3b45799d010921e47c7f64ccfd0ed545bf SHA512 1f647dd0b33472e31719651fa22b5864867d98fa1e2f11f9eadb6ce15382f5f97ac49d726af079716b6fac573367485a6f11a5b2e5e5c95d4d063f6caab51dcd
DIST ownCloud-2.8.2.4246.tar.xz 15044652 BLAKE2B ee1ee412667266273a9a9722940559562c6c43213b013fe7c21328e04ac967afb16f460e6fa711f37d1d4ea7d0fc15fc398d835cf6a939f4c8dfd54cd4846fed SHA512 0ab2ef72191cc2d5c2621c97c09cb1d25472a30f511235a190465e246a8312f13a255011abb9690c481887f2f15094414c87ce594252eb8debcb39b9cbc8a178
+DIST ownCloud-2.9.1.5500.tar.xz 5787048 BLAKE2B 6f7df0c1ca13e6074bbd75caaee838ddb822f9284a4f5cc95e1b2c1432adf2969e2413607bebc1542d4bc7790bd6e61edfba758d2205a23fbede6873b7e22316 SHA512 5c78cd0318b7cd35f32721cf364d6e807d32eb1f3651e7f22ff3f3c7737967193ad089062965b3dcee24c23c14cc0d7acdfc95094f4f90f8aaf718f45f22e18a
diff --git a/net-misc/cernbox-client/cernbox-client-2.8.2.4246.ebuild b/net-misc/cernbox-client/cernbox-client-2.8.2.4246.ebuild
index 2eb01cf8e..61be5a734 100644
--- a/net-misc/cernbox-client/cernbox-client-2.8.2.4246.ebuild
+++ b/net-misc/cernbox-client/cernbox-client-2.8.2.4246.ebuild
@@ -58,6 +58,8 @@ RESTRICT="!test? ( test )"
S=${WORKDIR}/${ORIGIN_PN}-${PV}
+PATCHES=( "${FILESDIR}"/owncloud-client-${PV}-qtcore-5.15.2-r10.patch )
+
src_unpack() {
rpm_src_unpack ${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm || die "failed to extract branding RPM"
mv ${PN%-*}-${BRANDED_PV}.${BRANDED_REL}/branding "${S}" || die "failed to extract branding"
diff --git a/net-misc/cernbox-client/cernbox-client-2.7.6.3261.ebuild b/net-misc/cernbox-client/cernbox-client-2.9.1.5500.ebuild
index 2eb01cf8e..d6961f8c5 100644
--- a/net-misc/cernbox-client/cernbox-client-2.7.6.3261.ebuild
+++ b/net-misc/cernbox-client/cernbox-client-2.9.1.5500.ebuild
@@ -13,14 +13,14 @@ BRANDED_P="cernbox"
BRANDED_PV="2.7.1"
BRANDED_REL="2596"
HOMEPAGE="https://cernbox.cern.ch/"
-SRC_URI="http://download.owncloud.com/desktop/${ORIGIN_PN}/stable/${PV}/source/${ORIGIN_PN}-${PV}.tar.xz
+SRC_URI="https://download.owncloud.com/desktop/${ORIGIN_PN}/stable/${PV}/source/${ORIGIN_PN}-${PV}.tar.xz
https://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_7/src/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm
https://cern.ch/ofreyerm/gentoo/cernbox/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm"
LICENSE="CC-BY-3.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="doc dolphin gnome-keyring nautilus test"
+IUSE="dolphin gnome-keyring nautilus test"
COMMON_DEPEND=">=dev-db/sqlite-3.4:3
dev-libs/qtkeychain[gnome-keyring?,qt5(+)]
@@ -43,12 +43,6 @@ RDEPEND="${COMMON_DEPEND}"
DEPEND="${COMMON_DEPEND}
dev-qt/linguist-tools:5
kde-frameworks/extra-cmake-modules
- doc? (
- dev-python/sphinx
- dev-tex/latexmk
- dev-texlive/texlive-latexextra
- virtual/latex-base
- )
test? (
dev-util/cmocka
dev-qt/qttest:5
@@ -58,6 +52,8 @@ RESTRICT="!test? ( test )"
S=${WORKDIR}/${ORIGIN_PN}-${PV}
+PATCHES=( "${FILESDIR}"/cernbox-theme-2.9.1.patch )
+
src_unpack() {
rpm_src_unpack ${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm || die "failed to extract branding RPM"
mv ${PN%-*}-${BRANDED_PV}.${BRANDED_REL}/branding "${S}" || die "failed to extract branding"
@@ -79,18 +75,9 @@ src_configure() {
local mycmakeargs=(
-DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
- -DCMAKE_DISABLE_FIND_PACKAGE_Sphinx=$(usex !doc)
-DBUILD_SHELL_INTEGRATION_DOLPHIN=$(usex dolphin)
-DBUILD_TESTING=$(usex test)
)
cmake_src_configure
}
-
-pkg_postinst() {
- if ! use doc ; then
- elog "Documentation and man pages not installed"
- elog "Enable doc USE-flag to generate them"
- fi
- xdg_pkg_postinst
-}
diff --git a/net-misc/cernbox-client/files/cernbox-theme-2.9.1.patch b/net-misc/cernbox-client/files/cernbox-theme-2.9.1.patch
new file mode 100644
index 000000000..c2ccbcc5e
--- /dev/null
+++ b/net-misc/cernbox-client/files/cernbox-theme-2.9.1.patch
@@ -0,0 +1,11 @@
+--- a/branding/cernbox-theme.h 2021-10-21 13:10:22.832842670 +0200
++++ b/branding/cernbox-theme.h 2021-10-21 13:14:57.394479817 +0200
+@@ -62,7 +62,7 @@
+
+
+ QString about() const {
+- QString devString = tr("<p>Version %1. For more information visit <a href=\"%2\">https://%3</a></p>").arg(Utility::escape(QStringLiteral(MIRALL_VERSION_STRING)), Utility::escape(QStringLiteral("https://" MIRALL_STRINGIFY(APPLICATION_DOMAIN))), Utility::escape(QStringLiteral(MIRALL_STRINGIFY(APPLICATION_DOMAIN))));
++ QString devString = tr("<p>Version %1. For more information visit <a href=\"%2\">https://%3</a></p>").arg(Utility::escape(QStringLiteral(MIRALL_VERSION_STRING)), Utility::escape(QStringLiteral("https://" APPLICATION_DOMAIN)), Utility::escape(QStringLiteral(APPLICATION_DOMAIN)));
+
+
+ return devString;
diff --git a/net-misc/cernbox-client/files/owncloud-client-2.8.2.4246-qtcore-5.15.2-r10.patch b/net-misc/cernbox-client/files/owncloud-client-2.8.2.4246-qtcore-5.15.2-r10.patch
new file mode 100644
index 000000000..3cb002355
--- /dev/null
+++ b/net-misc/cernbox-client/files/owncloud-client-2.8.2.4246-qtcore-5.15.2-r10.patch
@@ -0,0 +1,13 @@
+diff --git a/src/csync/csync_exclude.cpp b/src/csync/csync_exclude.cpp
+index 820fed7fb..4a103a0f9 100644
+--- a/src/csync/csync_exclude.cpp
++++ b/src/csync/csync_exclude.cpp
+@@ -486,7 +486,7 @@ QString ExcludedFiles::convertToRegexpSyntax(QString exclude, bool wildcardsMatc
+ // Translate [! to [^
+ QString bracketExpr = exclude.mid(i, j - i + 1);
+ if (bracketExpr.startsWith(QLatin1String("[!")))
+- bracketExpr[1] = '^';
++ bracketExpr[1] = QLatin1Char('^');
+ regex.append(bracketExpr);
+ i = j;
+ break;
diff --git a/profiles/package.mask b/profiles/package.mask
index d39812beb..a01fccbca 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -29,3 +29,13 @@
## app-misc/some-package
#--- END OF EXAMPLES ---
+
+# Andrew Ammerlaan <andrewammerlaan@gentoo.org> (04 Nov 2021)
+# No upstream activity since 2011, does not build with sci-libs/opencascade:7.5.
+# Note that this package is NOT the salome geometry module but a standalone
+# version of that module that now appears to be abandoned. Packaging the
+# original salome geometry module requires packaging the salome kernel and the
+# salome gui module.
+# Masked for removal in 30 days or whenever sci-libs/opencascade:7.4.0:::gentoo
+# is removed.
+sci-libs/geom
diff --git a/sci-biology/LINKS/LINKS-1.8.7.ebuild b/sci-biology/LINKS/LINKS-1.8.7.ebuild
new file mode 100644
index 000000000..898898b94
--- /dev/null
+++ b/sci-biology/LINKS/LINKS-1.8.7.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Scaffold genome assemblies by Chromium/PacBio/Nanopore reads"
+HOMEPAGE="https://github.com/bcgsc/LINKS"
+SRC_URI="https://github.com/bcgsc/LINKS/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-lang/perl-1.6
+ dev-lang/swig
+ dev-util/cppcheck
+"
+# sci-biology/btl_bloomfilter
+
+src_compile(){
+ cd btllib | die "Cannot chdir to bundled btllib/"
+ ./compile-wrappers || die "Failed to compile bundled btllib"
+ # baah, this also does some kind of install
+ # SUCCESS: sdsl was installed successfully!
+ # The sdsl include files are located in $foo'/LINKS/btllib/external/sdsl-lite/installdir/include'.
+ # The library files are located in $foo'/LINKS/btllib/external/sdsl-lite/installdir/lib'.
+ #
+ # Sample programs can be found in the examples-directory.
+ # A program 'example.cpp' can be compiled with the command:
+ # g++ -std=c++11 -DNDEBUG -O3 [-msse4.2] \
+ # -I$foo/LINKS/btllib/external/sdsl-lite/installdir/include -L$foo/LINKS/btllib/external/sdsl-lite/installdir/lib \
+ # example.cpp -lsdsl -ldivsufsort -ldivsufsort64
+ #
+ # Tests in the test-directory
+ # A cheat sheet in the extras/cheatsheet-directory.
+ # Have fun!
+ # [2/3] Installing files.
+ # Installing extras/python/_btllib.so to $foo/LINKS/btllib/python
+ # Installing $foo/LINKS/btllib/extras/python/btllib.py to $foo/LINKS/btllib/python
+}
+
+src_install(){
+ sed -e 's#$(bin)/../src/##' -i bin/LINKS-make || die
+ sed -e 's#perl $(bin)/##' -i bin/LINKS-make || die
+ dobin bin/LINKS bin/LINKS-make src/LINKS_CPP bin/*.pl tools/*.pl
+ dodoc README.md
+}
diff --git a/sci-biology/LINKS/Manifest b/sci-biology/LINKS/Manifest
new file mode 100644
index 000000000..bc5133d76
--- /dev/null
+++ b/sci-biology/LINKS/Manifest
@@ -0,0 +1 @@
+DIST LINKS-1.8.7.tar.gz 13550877 BLAKE2B ee77f295b0dfc70494b985075c1be794492178c050117f7d775d9cfb2a0dc2ab96030fae2b05075955b03ed99683586fd1b0688a99cd741671be762021bc06e8 SHA512 1b869229275eddc7cb9ae2df1d4f9422741b845df50d438761a8afd4ea172244ded1a70e4fba42045e09a0ae23f8a64e2233d66a261698c13aba1b231576015c
diff --git a/sci-biology/LINKS/metadata.xml b/sci-biology/LINKS/metadata.xml
new file mode 100644
index 000000000..138cb7705
--- /dev/null
+++ b/sci-biology/LINKS/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-biology@gentoo.org</email>
+ <name>Gentoo Biology Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/arcs/Manifest b/sci-biology/arcs/Manifest
new file mode 100644
index 000000000..af365300f
--- /dev/null
+++ b/sci-biology/arcs/Manifest
@@ -0,0 +1 @@
+DIST arcs-1.2.2.tar.gz 325997 BLAKE2B da03aa0533ad5dea2b736c97df09a5740bb05dfbf7dc9c35bab727212d18b29375433f44877fa98a5c8c317d497b78579cc0361490c4a7656bef5d639c59b1cb SHA512 07c5b2992859a77ee04c09134580888b7a5ec031fd2e864df781590a3c5a90eca3bf5026f7849d0aa66e51a779e5a01e555226320824d1dc148cb21e24daa017
diff --git a/sci-biology/arcs/arcs-1.2.2.ebuild b/sci-biology/arcs/arcs-1.2.2.ebuild
new file mode 100644
index 000000000..44a77c335
--- /dev/null
+++ b/sci-biology/arcs/arcs-1.2.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Scaffold genome sequence assemblies by Chromium/PacBio/Naopore reads"
+HOMEPAGE="https://github.com/bcgsc/arcs"
+SRC_URI="https://github.com/bcgsc/arcs/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="minimal"
+
+# TODO: fix this
+# FileNotFoundError: [Errno 2] No such file or directory
+# happens even with --install
+RESTRICT="test"
+
+RDEPEND="
+ dev-libs/boost
+ dev-cpp/sparsehash
+ !minimal? (
+ sci-biology/abyss
+ sci-biology/tigmint
+ )
+"
+# !minimal? ( sci-biology/LINKS )
+
+src_install(){
+ default
+ insinto /usr/share/"${PN}"
+ doins -r Examples
+}
diff --git a/sci-biology/arcs/metadata.xml b/sci-biology/arcs/metadata.xml
new file mode 100644
index 000000000..138cb7705
--- /dev/null
+++ b/sci-biology/arcs/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-biology@gentoo.org</email>
+ <name>Gentoo Biology Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/btl_bloomfilter/Manifest b/sci-biology/btl_bloomfilter/Manifest
new file mode 100644
index 000000000..529f20ad7
--- /dev/null
+++ b/sci-biology/btl_bloomfilter/Manifest
@@ -0,0 +1 @@
+DIST btl_bloomfilter-1.2.1.tar.gz 134872 BLAKE2B b8b2ce0a643bb2f55b8e105497d463272b283dc17cae77e2dd091fe8274f8a1a661b46a065e5db625ba70a260e45bc95a43e3b87b096b22c38f6a3fe5f8e65ee SHA512 9fc4b59001ddea4d3f2e27032f7ec2a39e837a71b540efc5834f87c84532da10e8bec5916eb382ad21c32bbe93cf8ddeb2892fec700a37d83d539324c9aad304
diff --git a/sci-biology/btl_bloomfilter/btl_bloomfilter-1.2.1.ebuild b/sci-biology/btl_bloomfilter/btl_bloomfilter-1.2.1.ebuild
new file mode 100644
index 000000000..359a0941d
--- /dev/null
+++ b/sci-biology/btl_bloomfilter/btl_bloomfilter-1.2.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="BTL C/C common bloom filters"
+HOMEPAGE="https://github.com/bcgsc/btl_bloomfilter"
+SRC_URI="https://github.com/bcgsc/btl_bloomfilter/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_prepare(){
+ sh ./autogen.sh || die
+ default
+}
+
+src_test(){
+ make check || die
+}
+
+src_install(){
+ default
+ insinto /usr/share/"${PN}"
+ doins -r swig pythonInterface Examples
+}
diff --git a/sci-biology/btl_bloomfilter/metadata.xml b/sci-biology/btl_bloomfilter/metadata.xml
new file mode 100644
index 000000000..138cb7705
--- /dev/null
+++ b/sci-biology/btl_bloomfilter/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-biology@gentoo.org</email>
+ <name>Gentoo Biology Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/longstitch/Manifest b/sci-biology/longstitch/Manifest
new file mode 100644
index 000000000..2327cd7d4
--- /dev/null
+++ b/sci-biology/longstitch/Manifest
@@ -0,0 +1 @@
+DIST longstitch-1.0.1.tar.gz 7190631 BLAKE2B 29ea35de8ccebc1b5525edd483ac19dca217424b101f5b80b87d52947fb8ec401d6aa1ad9cb4650dbacfaf3f1a00ae79ab8070de3b624cc6bcf5ce721852bec8 SHA512 da2f3837e9be6dee5fffe29b99665c456607d69aa405069fe3a977e55b9063108871b99b8a2a8f017597e7fa3553084694170f5b6bf301c37218ed1dabfd3ee3
diff --git a/sci-biology/longstitch/longstitch-1.0.1.ebuild b/sci-biology/longstitch/longstitch-1.0.1.ebuild
new file mode 100644
index 000000000..6cd035d86
--- /dev/null
+++ b/sci-biology/longstitch/longstitch-1.0.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Scaffold genome assemblies by Chromium/PacBio/Nanopore reads"
+HOMEPAGE="https://github.com/bcgsc/LongStitch"
+SRC_URI="https://github.com/bcgsc/LongStitch/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+
+RESTRICT="test"
+
+RDEPEND="
+ sci-biology/abyss
+ sci-biology/tigmint
+ sci-biology/LINKS
+ sci-biology/samtools
+"
+
+S="${WORKDIR}"/LongStitch-"${PV}"
+
+src_install(){
+ dobin longstitch
+ dodoc README.md LongStitch_overview.pdf
+}
diff --git a/sci-biology/longstitch/metadata.xml b/sci-biology/longstitch/metadata.xml
new file mode 100644
index 000000000..138cb7705
--- /dev/null
+++ b/sci-biology/longstitch/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-biology@gentoo.org</email>
+ <name>Gentoo Biology Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/minimap2/Manifest b/sci-biology/minimap2/Manifest
index bb0d7474b..b0f56c654 100644
--- a/sci-biology/minimap2/Manifest
+++ b/sci-biology/minimap2/Manifest
@@ -1 +1 @@
-DIST minimap2-2.17.tar.bz2 152305 BLAKE2B 14e3a5598fda8a63574704c3d9496967bbbf9f56da77fea7dd03c636dc3f5d24df0363cdacefb514206ff2c96abce45439421b7af525cab6f755e57b3a8fe89d SHA512 4a858b842c9eb0fb195ea3d4b579466a914dd81dbc50ec1b761f950a116f008ed26b7ed7608d89ec08ffa2083a2b837973bdb1879cf55c70d6b95474d185165e
+DIST minimap2-2.23.tar.bz2 169930 BLAKE2B 0af546edd3ab3dc2d0fe8674c6650c96e692c000ca32045e629b7387d8275a57849f7691b98bb6fb49b7a8e444e7862e82b5f23a0a9d48fe7d6a94e0b6147c69 SHA512 fdad8477513f1c8796aead6575be0ab477b5b1554d6b3d639c0387bd6050997b383dcb1a198ef2f897646de3777581ccfeb45d958efab23b9ddb3bd622968c89
diff --git a/sci-biology/minimap2/minimap2-2.17.ebuild b/sci-biology/minimap2/minimap2-2.17.ebuild
deleted file mode 100644
index e4f51e1d9..000000000
--- a/sci-biology/minimap2/minimap2-2.17.ebuild
+++ /dev/null
@@ -1,20 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="splice-aware sequence aligner"
-HOMEPAGE="https://github.com/lh3/minimap2"
-SRC_URI="https://github.com/lh3/${PN}/releases/download/v${PV}/${P}.tar.bz2"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND=""
-RDEPEND="${DEPEND}"
-BDEPEND=""
-
-src_install(){
- dobin "${PN}"
-}
diff --git a/sci-biology/minimap2/minimap2-2.23.ebuild b/sci-biology/minimap2/minimap2-2.23.ebuild
new file mode 100644
index 000000000..ed458b91d
--- /dev/null
+++ b/sci-biology/minimap2/minimap2-2.23.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="splice-aware sequence aligner with SSE2 and SSE4.1"
+HOMEPAGE="https://github.com/lh3/minimap2"
+SRC_URI="https://github.com/lh3/${PN}/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+static"
+
+DEPEND="sys-libs/zlib"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_prepare(){
+ sed -e 's/-O2 //' -e 's/^CFLAGS=/CFLAGS+=/' -i Makefile || die
+ eapply_user
+}
+
+# Minimap2 requires SSE2 instructions on x86 CPUs or NEON on ARM CPUs. It is
+# possible to add non-SIMD support, but it would make minimap2 slower by
+# several times.
+#
+# If you see compilation errors, try `make sse2only=1`
+# to disable SSE4 code, which will make minimap2 slightly slower.
+#
+# Minimap2 also works with ARM CPUs supporting the NEON instruction sets. To
+# compile for 32 bit ARM architectures (such as ARMv7), use `make arm_neon=1`. To
+# compile for for 64 bit ARM architectures (such as ARMv8), use `make arm_neon=1
+# aarch64=1`.
+#
+# Minimap2 can use [SIMD Everywhere (SIMDe)][simde] library for porting
+# implementation to the different SIMD instruction sets. To compile using SIMDe,
+# use `make -f Makefile.simde`. To compile for ARM CPUs, use `Makefile.simde`
+# with the ARM related command lines given above.
+
+# This repository also provides Python bindings to a subset of C APIs. File
+# [python/README.rst](python/README.rst) gives the full documentation;
+# [python/minimap2.py](python/minimap2.py) shows an example. This Python
+# extension, mappy, is also [available from PyPI][mappypypi] via `pip install
+# mappy` or [from BioConda][mappyconda] via `conda install -c bioconda mappy`.
+
+src_install(){
+ dobin "${PN}"
+ insinto /usr/include
+ doins minimap.h mmpriv.h
+ dolib.a libminimap2.a
+ insinto /usr/share/"${PN}"/examples
+ doins example.c
+ doman minimap2.1
+ dodoc README.md NEWS.md FAQ.md
+}
diff --git a/sci-biology/tigmint/Manifest b/sci-biology/tigmint/Manifest
index 90e2f6741..4c87774b6 100644
--- a/sci-biology/tigmint/Manifest
+++ b/sci-biology/tigmint/Manifest
@@ -1 +1 @@
-DIST tigmint-1.2.1.tar.gz 8313437 BLAKE2B e8c1b2433a4255dfd08f229a16f822dfb00982b49911729b38950b77b02a9ae58b99846f7441e66a7f064425afdddb845a9cf2a998b18aad2929b6d158173de3 SHA512 6f3f0a73e55527021dd1286ead8007c2eb25dbf604b72e29df1beddfc1a370addfe5b82f4fc4445f7ab2d8841c11b68c26f6e6710e28e04304745051985f352d
+DIST tigmint-1.2.4.tar.gz 7691928 BLAKE2B 77a42d11f696f340267d5746cb6682a29b2adb5350d9237b5f4fc4ce7d69448157db719d32cd9fc689909faffb2913fa2f4dd783403c954c45614ed0fcfb7c5d SHA512 3ba214cd60396439ecca5e04c458c59a804598729fb28c18adc397eebad3a32c170cfcd6ad59c3226ba181d71f02002fec9c1ed0fd2f21f76825afc20773e853
diff --git a/sci-biology/tigmint/tigmint-1.2.1.ebuild b/sci-biology/tigmint/tigmint-1.2.1.ebuild
deleted file mode 100644
index e2a9c626a..000000000
--- a/sci-biology/tigmint/tigmint-1.2.1.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit distutils-r1
-
-DESCRIPTION="Correct misassemblies using linked reads from 10x Genomics Chromium"
-HOMEPAGE="https://github.com/bcgsc/tigmint https://bcgsc.github.io/tigmint/"
-SRC_URI="https://github.com/bcgsc/tigmint/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-# TODO: fix this
-# FileNotFoundError: [Errno 2] No such file or directory
-# happens even with --install
-RESTRICT="test"
-
-RDEPEND="
- dev-python/intervaltree[${PYTHON_USEDEP}]
- sci-biology/pybedtools[${PYTHON_USEDEP}]
- sci-biology/pysam[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
diff --git a/sci-biology/tigmint/tigmint-1.2.4-r1.ebuild b/sci-biology/tigmint/tigmint-1.2.4-r1.ebuild
new file mode 100644
index 000000000..84b582151
--- /dev/null
+++ b/sci-biology/tigmint/tigmint-1.2.4-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Correct misassemblies using linked reads from 10x Genomics Chromium"
+HOMEPAGE="https://github.com/bcgsc/tigmint https://bcgsc.github.io/tigmint/"
+SRC_URI="https://github.com/bcgsc/tigmint/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RESTRICT="test"
+PROPERTIES="test_network"
+
+RDEPEND="
+ dev-python/intervaltree[${PYTHON_USEDEP}]
+ sci-biology/pybedtools[${PYTHON_USEDEP}]
+ sci-biology/pysam[${PYTHON_USEDEP}]
+ app-arch/pigz
+ app-shells/zsh
+ sci-biology/samtools
+ sci-biology/minimap2
+ sci-biology/seqtk
+"
+
+distutils_enable_tests pytest
+
+src_prepare(){
+ # install the executable into /usr/bin
+ sed -i Makefile -e 's#prefix=/usr/local#prefix=/usr#'
+ default
+}
+
+src_configure(){
+ python_setup
+ default
+}
+
+# do not run src_compile step as it runs git, makefile2graph, gsed, tred
+
+python_install() {
+ # This is a bit unorthodox, but it allows us to get both a symlink from
+ # /usr/bin to our script using the correct python implementation
+ # *and* to import it from the python shell
+ python_domodule bin/*.py
+ python_domodule bin/tigmint-arcs-tsv
+ python_domodule bin/tigmint-cut
+
+ python_doscript bin/*.py
+ python_doscript bin/tigmint-arcs-tsv
+ python_doscript bin/tigmint-cut
+}
+
+python_install_all() {
+ dobin bin/tigmint
+ dobin bin/tigmint-make
+}
+
+src_test(){
+ default
+ distutils-r1_src_test
+}
diff --git a/sci-biology/ugene/Manifest b/sci-biology/ugene/Manifest
index 9552a5072..46f39c632 100644
--- a/sci-biology/ugene/Manifest
+++ b/sci-biology/ugene/Manifest
@@ -1 +1 @@
-DIST ugene-37.0.tar.gz 23379406 BLAKE2B f1f8c2cfa6df2d884338557e9bcb8571e358ed63e4e957d965d40a8c31e5b5dc9f4dd97020ecfd4fd28194f12acb6b529d9d67813521ff97432a53dae07f3904 SHA512 f6cc14baaddbd6ffd3c21f557d82d75084a366d26512173c3308560dfe45f4dc88939d7602d1367dfe719b6781caf5c30aef93b558181ba1324b68dabec7b9bd
+DIST ugene-40.1.tar.gz 28791083 BLAKE2B 85cb0fdbd10c68e8e6933f5131744d21011febfaa2d96b07d3b5a53e69dfc6ee0de14d8b63dcf4e11ea83edd2724af4ca6e76344ed6961d294fac5d010d8e771 SHA512 b2e056532a2ecf2a396d9bdd7a44f3af1e3e49d1ab2d95169be5583a4e59b43773d02224987b096fdd48f91568c65dc9fa575702a881b40fdabfdc776cd16af1
diff --git a/sci-biology/ugene/ugene-37.0-r1.ebuild b/sci-biology/ugene/ugene-40.1.ebuild
index ab96355c4..ab96355c4 100644
--- a/sci-biology/ugene/ugene-37.0-r1.ebuild
+++ b/sci-biology/ugene/ugene-40.1.ebuild
diff --git a/sci-libs/libmatheval/files/libmatheval-1.1.11_update_configure.ac.patch b/sci-libs/libmatheval/files/libmatheval-1.1.11_update_configure.ac.patch
new file mode 100644
index 000000000..0dd3a3abe
--- /dev/null
+++ b/sci-libs/libmatheval/files/libmatheval-1.1.11_update_configure.ac.patch
@@ -0,0 +1,40 @@
+Update configure.ac build script
+Remove references to guile which is only used for tests and breaks the package due to needing masked guile-1*
+sed command in ebuild removes references to these tests
+Taken from git repo which has updated the package: https://gitlab.com/Grimler/libmatheval/-/blob/master/configure.ac
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -21,10 +21,8 @@ dnl Process this file with autoconf to produce a configure script.
+ AC_PREREQ(2.53)
+ AC_INIT([libmatheval],[1.1.11],[asamardzic@gnu.org])
+ AC_CONFIG_AUX_DIR([config])
+-AC_CONFIG_MACRO_DIR([m4])
+-AC_SUBST([ac_aux_dir])
+-AM_INIT_AUTOMAKE([libmatheval], [1.1.11])
+-AC_CONFIG_SRCDIR([configure.in])
++AC_CONFIG_MACRO_DIRS([m4])
++AM_INIT_AUTOMAKE
+ AM_CONFIG_HEADER([config.h])
+
+ dnl Initialize the test suite.
+@@ -44,7 +42,6 @@ AC_PROG_LIBTOOL
+ AC_PROG_MAKE_SET
+ AC_PROG_YACC
+ AM_MISSING_PROG([AUTOM4TE], [autom4te])
+-GUILE_FLAGS
+
+ dnl Checks for libraries.
+
+@@ -59,11 +56,5 @@ AC_TYPE_SIZE_T
+ dnl Checks for library functions.
+ AC_CHECK_FUNCS([bzero memset], [break])
+
+-dnl Additional Guile feature checks.
+-AC_CHECK_TYPE([scm_t_bits], [AC_DEFINE([HAVE_SCM_T_BITS], [1], [Define to 1 if you have the `scm_t_bits' type.])], [], [#include <libguile.h>])
+-AC_CHECK_LIB([guile], [scm_c_define_gsubr], [AC_DEFINE([HAVE_SCM_C_DEFINE_GSUBR], [1], [Define to 1 if you have the `scm_c_define_gsubr' function.])], [], [$GUILE_LDFLAGS])
+-AC_CHECK_LIB([guile], [scm_make_gsubr], [AC_DEFINE([HAVE_SCM_MAKE_GSUBR], [1], [Define to 1 if you have the `scm_make_gsubr' function.])], [], [$GUILE_LDFLAGS])
+-AC_CHECK_LIB([guile], [scm_num2dbl], [AC_DEFINE([HAVE_SCM_NUM2DBL], [1], [Define to 1 if you have the `scm_num2dbl' function.])], [], [$GUILE_LDFLAGS])
+-
+ AC_CONFIG_FILES([Makefile doc/Makefile lib/Makefile])
+ AC_OUTPUT(libmatheval.pc)
diff --git a/sci-libs/libmatheval/libmatheval-1.1.11-r1.ebuild b/sci-libs/libmatheval/libmatheval-1.1.11-r1.ebuild
new file mode 100644
index 000000000..9fad1cafa
--- /dev/null
+++ b/sci-libs/libmatheval/libmatheval-1.1.11-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="library to parse and evaluate symbolic expressions"
+HOMEPAGE="https://www.gnu.org/software/libmatheval/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+PATCHES=( "${FILESDIR}"/"${P}"_update_configure.ac.patch )
+
+src_prepare() {
+ # rename configure.in -> configure.ac for Q/A
+ mv configure.in configure.ac || die
+ # patch configure.ac
+ default
+ # remove test subdirectory depends on masked guile-1*
+ # Bug: https://bugs.gentoo.org/755353
+ sed -e 's/SUBDIRS = doc lib tests/SUBDIRS = doc lib/' -i Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
diff --git a/sci-libs/miopen/Manifest b/sci-libs/miopen/Manifest
deleted file mode 100644
index d36ff9285..000000000
--- a/sci-libs/miopen/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST MIOpen-4.0.0.tar.gz 35574627 BLAKE2B 6741d653ab251ead275d3b015086e77a32f4b3e9aa2e1af3bb54cc519ab1cf456eac39670a6cbd6fab1db25330e3cb1e74f66cc4aeb5de7a9151a1284d630dc1 SHA512 32f3e7f04260921e0658f50817079f6394fbc469c31afe72b40925c0429b47056dd07a931ec4ee5c41fc9c5388a1b25ecafb7ea74879ed77b2506784471acce3
diff --git a/sci-libs/miopen/metadata.xml b/sci-libs/miopen/metadata.xml
deleted file mode 100644
index 336bdb639..000000000
--- a/sci-libs/miopen/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM 'http://www.gentoo.org/dtd/metadata.dtd'>
-<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>gentoo@holzke.net</email>
- <name>Wilfried Holzke</name>
- </maintainer>
-</pkgmetadata>
diff --git a/sci-libs/miopen/miopen-4.0.0-r1.ebuild b/sci-libs/miopen/miopen-4.0.0-r1.ebuild
deleted file mode 100644
index 7197880df..000000000
--- a/sci-libs/miopen/miopen-4.0.0-r1.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="AMD's Machine Intelligence Library"
-HOMEPAGE="https://github.com/ROCmSoftwarePlatform/MIOpen"
-SRC_URI="https://github.com/ROCmSoftwarePlatform/MIOpen/archive/rocm-${PV}.tar.gz -> MIOpen-${PV}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~amd64"
-SLOT="0"
-
-RDEPEND="
- >=dev-util/hip-${PV}
- >=dev-libs/half-1.12.0
- <dev-libs/half-2
- dev-libs/ocl-icd
- =dev-util/rocm-clang-ocl-${PV}*
- sci-libs/rocBLAS
- =dev-libs/boost-1.72*"
-
-DEPEND="${RDEPEND}"
-BDEPEND="app-admin/chrpath"
-
-S="${WORKDIR}/MIOpen-rocm-${PV}"
-
-src_prepare() {
- sed -e "s:PATHS /opt/rocm/llvm:PATHS ""${EPREFIX}""/usr/lib/llvm/roc/ NO_DEFAULT_PATH:" \
- -e '/set( MIOPEN_INSTALL_DIR/s:miopen:${CMAKE_INSTALL_PREFIX}:' \
- -e '/set(MIOPEN_SYSTEM_DB_PATH/s:${CMAKE_INSTALL_PREFIX}/::' \
- -e '/MIOPEN_TIDY_ERRORS ALL/d' \
- -i CMakeLists.txt || die
-
- sed -e "/rocm_install_symlink_subdir(\${MIOPEN_INSTALL_DIR})/d" -i src/CMakeLists.txt || die
-
- sed -e "s:\${AMD_DEVICE_LIBS_PREFIX}/lib:${EPREFIX}/usr/lib/amdgcn/bitcode:" -i cmake/hip-config.cmake || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- export CXX="hipcc"
-
- local mycmakeargs=(
- -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
- -DCMAKE_BUILD_TYPE=Release
- -DMIOPEN_BACKEND=HIP
- -DBoost_USE_STATIC_LIBS=OFF
- )
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
- chrpath --delete "${ED}/usr/bin/MIOpenDriver" || die
- chrpath --delete "${ED}/usr/lib64/libMIOpen.so.1.0" || die
-}
diff --git a/sci-mathematics/acl2/acl2-8.3-r2.ebuild b/sci-mathematics/acl2/acl2-8.3-r2.ebuild
new file mode 100644
index 000000000..03cd890b4
--- /dev/null
+++ b/sci-mathematics/acl2/acl2-8.3-r2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp-common
+
+DESCRIPTION="Industrial strength theorem prover"
+HOMEPAGE="https://www.cs.utexas.edu/users/moore/acl2/"
+SRC_URI="https://github.com/acl2/acl2/archive/${PV}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="books doc emacs"
+
+BDEPEND="
+ dev-lisp/sbcl
+ emacs? ( >=app-editors/emacs-23.1:* )
+"
+DEPEND="
+ dev-lisp/sbcl:=
+ books? ( dev-lang/perl )
+ doc? ( dev-lang/perl )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-use_make_variable.patch )
+
+src_prepare() {
+ find . -type f -name "*.bak" -delete
+ find . -type f -name "*.orig" -delete
+ # Remove sparc binary inadvertently included in upstream
+ rm books/workshops/2003/schmaltz-al-sammane-et-al/support/acl2link || die
+ default
+}
+
+src_compile() {
+ emake LISP="sbcl --noinform --noprint \
+ --no-sysinit --no-userinit --disable-debugger"
+
+ if use books; then
+ emake "ACL2=${S}/saved_acl2" basic
+ fi
+
+ if use doc; then
+ emake "ACL2=${S}/saved_acl2" DOC
+ fi
+
+ if use emacs; then
+ elisp-compile emacs/*.el
+ fi
+}
+
+src_install() {
+ local SAVED_NAME=saved_acl2
+ sed -e "s:${S}:/usr/share/acl2:g" -i ${SAVED_NAME} || die
+ if use books; then
+ sed -e "5iexport ACL2_SYSTEM_BOOKS=/usr/share/acl2/books/" \
+ -i ${SAVED_NAME} || die
+ fi
+ dobin ${SAVED_NAME}
+
+ insinto /usr/share/acl2
+ doins ${SAVED_NAME}.core
+
+ if use books; then
+ doins -r books
+ fi
+
+ DOCS=( books/README.md )
+ if use doc; then
+ HTML_DOCS=( doc/HTML/. )
+ fi
+ einstalldocs
+
+ if use emacs; then
+ elisp-install ${PN} emacs/*{.el,elc}
+ doins TAGS
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/sci-mathematics/acl2/acl2-8.4-r1.ebuild b/sci-mathematics/acl2/acl2-8.4-r1.ebuild
new file mode 100644
index 000000000..cb1098877
--- /dev/null
+++ b/sci-mathematics/acl2/acl2-8.4-r1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp-common
+
+DESCRIPTION="Industrial strength theorem prover"
+HOMEPAGE="https://www.cs.utexas.edu/users/moore/acl2/"
+SRC_URI="https://github.com/acl2/acl2/archive/${PV}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="books doc emacs"
+
+BDEPEND="
+ >=dev-lisp/sbcl-1.5.2
+ emacs? ( >=app-editors/emacs-23.1:* )
+"
+DEPEND="
+ dev-lisp/sbcl:=
+ books? ( dev-lang/perl )
+ doc? ( dev-lang/perl )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-use_make_variable.patch )
+
+src_prepare() {
+ find . -type f -name "*.bak" -delete
+ find . -type f -name "*.orig" -delete
+ # Remove sparc binary inadvertently included in upstream
+ rm books/workshops/2003/schmaltz-al-sammane-et-al/support/acl2link || die
+ default
+}
+
+src_compile() {
+ emake LISP="sbcl --noinform --noprint \
+ --no-sysinit --no-userinit --disable-debugger"
+
+ if use books; then
+ emake "ACL2=${S}/saved_acl2" basic
+ fi
+
+ if use doc; then
+ emake "ACL2=${S}/saved_acl2" DOC
+ fi
+
+ if use emacs; then
+ elisp-compile emacs/*.el
+ fi
+}
+
+src_install() {
+ local SAVED_NAME=saved_acl2
+ sed -e "s:${S}:/usr/share/acl2:g" -i ${SAVED_NAME} || die
+ if use books; then
+ sed -e "5iexport ACL2_SYSTEM_BOOKS=/usr/share/acl2/books/" \
+ -i ${SAVED_NAME} || die
+ fi
+ dobin ${SAVED_NAME}
+
+ insinto /usr/share/acl2
+ doins ${SAVED_NAME}.core
+
+ if use books; then
+ doins -r books
+ fi
+
+ DOCS=( books/README.md )
+ if use doc; then
+ HTML_DOCS=( doc/HTML/. )
+ fi
+ einstalldocs
+
+ if use emacs; then
+ elisp-install ${PN} emacs/*{.el,elc}
+ doins TAGS
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/sci-misc/elmer-fem/elmer-fem-9.0-r1.ebuild b/sci-misc/elmer-fem/elmer-fem-9.0-r1.ebuild
new file mode 100644
index 000000000..6d810ed14
--- /dev/null
+++ b/sci-misc/elmer-fem/elmer-fem-9.0-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_STANDARD=90
+
+inherit fortran-2 flag-o-matic cmake
+
+ELMER_ROOT="elmerfem"
+MY_PN=${PN/elmer-/}
+
+DESCRIPTION="Finite element programs, libraries, and visualization tools"
+HOMEPAGE="https://www.csc.fi/web/elmer https://www.elmerfem.org/blog/"
+SRC_URI="https://github.com/ElmerCSC/elmerfem/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="ice gui matc mumps mpi post test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ virtual/blas
+ virtual/lapack
+ sci-libs/arpack
+ mumps? ( sci-libs/mumps )
+ mpi? ( sys-cluster/openmpi )
+ post? (
+ dev-lang/tcl:0=
+ dev-lang/tk:0=
+ )
+ gui? ( x11-libs/qwt:6 )
+"
+DEPEND="${RDEPEND}"
+# Note this seems to only configure correctly with the elmer version of umfpack
+# But this doesn't stop it from compiling / working without it
+
+PATCHES=(
+ "${FILESDIR}/${PN}-DCRComplexSolve-compile-error.patch"
+ "${FILESDIR}/${PN}-ElmerIce-compile.patch"
+)
+
+S="${WORKDIR}/elmerfem-release-${PV}"
+
+src_prepare() {
+ cmake_src_prepare
+ sed -i '/#include <QPainter>/a #include <QPainterPath>' ElmerGUI/Application/twod/renderarea.cpp || die
+ test-flag-FC -fallow-argument-mismatch && append-fflags -fallow-argument-mismatch
+ test-flag-FC -fallow-invalid-boz && append-fflags -fallow-invalid-boz
+ # TODO: fix the tests, fails in compile phase: multiple rules to make target
+ rm -r fem/tests/* || die
+ touch fem/tests/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DMPI_Fortran_COMPILE_FLAGS="$FCFLAGS"
+ -DCMAKE_Fortran_FLAGS="$FCFLAGS"
+ -DELMER_INSTALL_LIB_DIR="/usr/$(get_libdir)/elmersolver"
+ -DWITH_MPI="$(usex mpi)"
+ -DWITH_OpenMP="$(usex mpi)"
+ -DWITH_MATC="$(usex matc)"
+ -DWITH_Mumps="$(usex mumps)"
+ -DWITH_ElmerIce="$(usex ice)"
+ -DWITH_ELMERPOST="$(usex post)"
+ -DWITH_ELMERGUI="$(usex gui)"
+ -DWITH_QT5="$(usex gui)"
+ -DWITH_QWT="$(usex gui)"
+ -DQWT_INCLUDE_DIR="/usr/include/qwt6"
+ -DQWT_LIBRARY="/usr/$(get_libdir)/libqwt6-qt5.so"
+ -DBUILD_TESTING="$(usex test)"
+ )
+ cmake_src_configure
+}
diff --git a/sci-misc/elmer-fem/files/elmer-fem-DCRComplexSolve-compile-error.patch b/sci-misc/elmer-fem/files/elmer-fem-DCRComplexSolve-compile-error.patch
new file mode 100644
index 000000000..6f9cdf289
--- /dev/null
+++ b/sci-misc/elmer-fem/files/elmer-fem-DCRComplexSolve-compile-error.patch
@@ -0,0 +1,70 @@
+From 8ea87194fb50ff052a75212f9d2a2ae217edad95 Mon Sep 17 00:00:00 2001
+From: Mathias <mathias@localhost.localdomain>
+Date: Sun, 2 May 2021 12:06:15 +0200
+Subject: [PATCH] fixed DCRComplexSolve compile error
+
+---
+ fem/src/modules/DCRComplexSolve.F90 | 12 ++++++------
+ 1 file changed, 6 insertions(+), 6 deletions(-)
+
+diff --git a/fem/src/modules/DCRComplexSolve.F90 b/fem/src/modules/DCRComplexSolve.F90
+index cfa71dee..b6bb59bc 100644
+--- a/fem/src/modules/DCRComplexSolve.F90
++++ b/fem/src/modules/DCRComplexSolve.F90
+@@ -426,7 +426,7 @@ CONTAINS
+ SUBROUTINE InputTensor( Tensor, IsScalar, Name, Material, n, NodeIndexes )
+ !------------------------------------------------------------------------------
+ REAL(KIND=dp) :: Tensor(:,:,:)
+- INTEGER :: n, NodeIndexes(:)
++ INTEGER :: n, i, j, NodeIndexes(:)
+ LOGICAL :: IsScalar
+ CHARACTER(LEN=*) :: Name
+ TYPE(ValueList_t), POINTER :: Material
+@@ -485,7 +485,7 @@ CONTAINS
+ SUBROUTINE InputVector( Tensor, IsScalar, Name, Material, n, NodeIndexes )
+ !------------------------------------------------------------------------------
+ REAL(KIND=dp) :: Tensor(:,:)
+- INTEGER :: n, NodeIndexes(:)
++ INTEGER :: n, i, NodeIndexes(:)
+ LOGICAL :: IsScalar
+ CHARACTER(LEN=*) :: Name
+ TYPE(ValueList_t), POINTER :: Material
+@@ -543,7 +543,7 @@ CONTAINS
+ REAL(KIND=dp) :: DiffCoef(3,3), Velo(3)
+ COMPLEX(KIND=dp) :: LSTIFF(2*n,2*n), LFORCE(2*n), A
+ LOGICAL :: Stat
+- INTEGER :: i,p,q,t,dim, NBasis, CoordSys
++ INTEGER :: i,j,p,q,t,dim, NBasis, CoordSys
+ TYPE(GaussIntegrationPoints_t) :: IntegStuff
+
+ REAL(KIND=dp) :: X,Y,Z,Metric(3,3),SqrtMetric,Symb(3,3,3),dSymb(3,3,3,3)
+@@ -678,7 +678,7 @@ CONTAINS
+ C1(3), C0
+ COMPLEX(KIND=dp) :: LSTIFF(n,n), LFORCE(n), A
+ LOGICAL :: Stat
+- INTEGER :: i,p,q,t,dim,CoordSys
++ INTEGER :: i,j,p,q,t,dim,CoordSys
+ TYPE(GaussIntegrationPoints_t) :: IntegStuff
+ !------------------------------------------------------------------------------
+ dim = CoordinateSystemDimension()
+@@ -1374,7 +1374,7 @@ contains
+ SUBROUTINE InputTensor( Tensor, IsScalar, Name, Material, n, NodeIndexes )
+ !------------------------------------------------------------------------------
+ REAL(KIND=dp) :: Tensor(:,:,:)
+- INTEGER :: n, NodeIndexes(:)
++ INTEGER :: n, i, NodeIndexes(:)
+ LOGICAL :: IsScalar
+ CHARACTER(LEN=*) :: Name
+ TYPE(ValueList_t), POINTER :: Material
+@@ -1426,7 +1426,7 @@ contains
+ SUBROUTINE InputVector( Tensor, IsScalar, Name, Material, n, NodeIndexes )
+ !------------------------------------------------------------------------------
+ REAL(KIND=dp) :: Tensor(:,:)
+- INTEGER :: n, NodeIndexes(:)
++ INTEGER :: n, i, NodeIndexes(:)
+ LOGICAL :: IsScalar
+ CHARACTER(LEN=*) :: Name
+ TYPE(ValueList_t), POINTER :: Material
+--
+2.31.1
+
diff --git a/sci-misc/elmer-fem/metadata.xml b/sci-misc/elmer-fem/metadata.xml
index 341020564..feab34b47 100644
--- a/sci-misc/elmer-fem/metadata.xml
+++ b/sci-misc/elmer-fem/metadata.xml
@@ -12,6 +12,7 @@
<flag name="gui">Build the ElmerGUI</flag>
<flag name="matc">Build the Elmer matc library</flag>
<flag name="ice">Build ElmerICE</flag>
+ <flag name="mumps">Build with Mumps</flag>
<flag name="post">Build ElmerPOST</flag>
</use>
</pkgmetadata>